
 { in units
   UnConTyp  are type and constants
   Un2000_C  are simple procedures for arguments
   Un2000_L  is procedure to calculate the Luni-Solar nutation
   Un2000_P  is procedure to calculate the planetary terms
   UnPN2000  are the procedures to obtain matrixes.
   a try to calculate with MHB2000A precession/nutation theory
   Resolution B1.6
   of General Assembly of the International Astronomical Union 
   from  IERS Conventions 2000 , web site
   http:\\maia.usno.navy.mil\conv2000.html }

 UNIT Un2000_P ; { for planetary terms }

 INTERFACE

 Procedure NutParmPlan  ( DateJulian  : Extended ;
                          Var   DPsi  : Extended ;
                          Var   DEps  : Extended ) ;

 IMPLEMENTATION

 Uses
   UnConTyp , { for type TFundArg }
   Un2000_C ; { for FundArgPlan }

 { to obtain the influence of the nutation planetary terms }

 Procedure NutParmPlan  ( DateJulian  : Extended ;
                          Var   DPsi  : Extended ;
                          Var   DEps  : Extended ) ;
 Const
   NArgPlan  : Array [1..687,1..14] of ShortInt = { arguments }
 ( { l  l'  F   D   Om lMe lVe lE  lMa lJu lSa lUr lNe  p       n period day }
 (  0,  0,  2,  2,  2,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 687     6.85 }
 (  1,  0,  2,  0,  2,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 686     8.99 }
 ( -1,  0,  2,  2,  2,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 685     9.11 }
 ( -1,  0,  2,  2,  2,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 684     9.12 }
 (  2,  0,  2,  0,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 683     6.73 }
 (  0,  0,  2,  0,  2,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 682    13.17 }
 (  1,  0,  1,  1,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 681     9.13 }
 (  1,  0,  2,  0,  2,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 680     9.13 }
 (  1,  0,  2,  0,  2,  0,  0, -4,  8, -3,  0,  0,  0,  0 ) , { 679     9.13 }
 (  2,  0,  2,  0,  2,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 678     6.64 }
 ( -1,  0,  2,  2,  2,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 677     9.14 }
 (  1,  0,  2,  0,  2,  0, -1,  1,  0,  0,  0,  0,  0,  0 ) , { 676     9.28 }
 ( -1,  0,  2,  2,  2,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 675     9.79 }
 (  0,  0,  2,  0,  2,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 674    13.05 }
 (  0,  0,  2,  0,  2,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 673    13.21 }
 (  0,  0,  2,  0,  2,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 672    13.35 }
 (  0,  0,  2,  0,  2,  0,  2, -3,  0,  0,  0,  0,  0,  0 ) , { 671    13.53 }
 ( -2,  0,  2,  2,  2,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 670    13.63 }
 ( -1,  0,  2,  0,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 669    25.13 }
 (  0,  0,  1,  1,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 668    13.63 }
 (  1,  0,  2,  0,  1,  0,  0, -2,  0,  3,  0,  0,  0,  0 ) , { 667     9.54 }
 (  2,  0,  2, -2,  2,  0,  0, -2,  0,  3,  0,  0,  0,  0 ) , { 666    13.65 }
 ( -1,  0,  2,  0,  2,  0,  0, -4,  8, -3,  0,  0,  0,  0 ) , { 665    27.09 }
 (  0,  0,  2,  0,  2,  0,  0, -4,  8, -3,  0,  0,  0,  0 ) , { 664    13.66 }
 (  0,  0,  2,  0,  2,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 663    13.66 }
 (  1,  0,  2,  0,  2,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 662     8.91 }
 (  0,  0,  1,  1,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 661    13.66 }
 ( -1,  0,  2,  0,  2,  0, 10, -3,  0,  0,  0,  0,  0,  0 ) , { 660    13.66 }
 (  1,  0,  2,  0,  2,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 659     8.91 }
 (  0,  0,  1,  1,  2,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 658    13.69 }
 (  0,  0,  0,  2,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 657    13.75 }
 (  0,  0,  2,  0,  2,  0, -2,  3,  0,  0,  0,  0,  0,  0 ) , { 656    13.79 }
 (  0,  0,  2,  0,  2,  0, -1,  1,  0,  0,  0,  0,  0,  0 ) , { 655    13.99 }
 (  0,  0,  2,  0,  2,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 654    14.15 }
 (  0,  0,  2,  0,  2,  0, -2,  2,  0,  0,  0,  0,  0,  0 ) , { 653    14.33 }
 (  0,  0,  0, -2,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 652   -15.33 }
 (  0,  0,  0, -2,  0,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 651   -15.55 }
 (  1,  0,  0,  0,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 650    25.77 }
 (  1,  0,  0,  0,  0,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 649    26.31 }
 (  1,  0,  2, -2,  2,  0,  0, -2,  0,  2,  0,  0,  0,  0 ) , { 648    27.21 }
 (  1,  0,  2, -2,  2,  0, -3,  3,  0,  0,  0,  0,  0,  0 ) , { 647    27.30 }
 (  1,  0,  0, -2,  1,  0,  0, -2,  0,  2,  0,  0,  0,  0 ) , { 646   -27.33 }
 ( -1,  0,  0,  2,  0,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 645    27.34 }
 ( -1,  0,  0,  2,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 644    27.44 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 643   199.44 }
 ( -1,  0,  0,  2,  1,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 642    27.55 }
 ( -1,  0,  0,  0,  0,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 641   -27.55 }
 (  1,  0,  1, -1,  1,  0,  0, -1,  0,  0,  0,  0,  0,  0 ) , { 640    27.55 }
 ( -1,  0,  1, -1,  1,  0,  0, -1,  0,  0,  0,  0,  0,  0 ) , { 639   -27.55 }
 (  1,  0,  0,  0,  0,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 638    27.56 }
 ( -2,  0,  0,  0,  0,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 637   -14.75 }
 ( -1,  0,  0,  2,  0,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 636    27.61 }
 (  1,  0, -1,  1,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 635    27.67 }
 ( -1,  0,  0,  2,  0,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 634    28.69 }
 ( -1,  0,  0,  0,  0,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 633   -28.92 }
 ( -1,  0,  0,  0,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 632   -29.60 }
 ( -1,  0,  0,  0,  0,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 631   -31.74 }
 ( -2,  0,  0,  2,  0,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 630  -205.83 }
 (  1,  0,  0, -2,  0,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 629   -31.81 }
 ( -1,  0,  0,  2,  0,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 628    31.81 }
 ( -1,  0,  0,  0,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 627   -31.97 }
 ( -1,  0,  0,  0,  0,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 626   -32.10 }
 (  1,  0,  0, -2,  0,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 625   -33.64 }
 (  1,  0,  0, -2,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 624   -34.57 }
 (  1,  0,  0, -2,  0,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 623   -35.70 }
 (  1,  0,  0, -2,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 622   -37.85 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2 ) , { 621 4709189.08 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  2 ) , { 620    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  1 ) , { 619    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  0 ) , { 618    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  2 ) , { 617    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  1 ) , { 616    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  0 ) , { 615    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  0 ) , { 614    60.88 }
 (  0,  0,  0,  0,  0,  0,  0,  6,  0,  0,  0,  0,  0,  2 ) , { 613    60.88 }
 (  0,  0,  0,  0,  0,  0,  6, -4,  0,  0,  0,  0,  0,  1 ) , { 612    63.49 }
 (  0,  0,  0,  0,  0,  0,  9, -9,  0,  0,  0,  0,  0,  0 ) , { 611    64.88 }
 (  0,  0,  0,  0,  0,  0, -9,  9,  0,  0,  0,  0,  0,  1 ) , { 610   -64.88 }
 (  0,  0,  0,  0,  0,  0, -9,  9,  0,  0,  0,  0,  0,  1 ) , { 609   -64.88 }
 (  0,  0,  0,  0,  0,  0, -9,  9,  0,  0,  0,  0,  0,  1 ) , { 608   -64.88 }
 (  0,  0,  0,  0,  0,  0,  5, -3,  0,  0,  0,  0,  0,  2 ) , { 607    71.23 }
 (  0,  0,  0,  0,  0,  0,  5, -3,  0,  0,  0,  0,  0,  1 ) , { 606    71.23 }
 (  0,  0,  0,  0,  0,  0,  8, -8,  0,  0,  0,  0,  0,  0 ) , { 605    72.99 }
 (  0,  0,  0,  0,  0,  0, -8,  8,  0,  0,  0,  0,  0,  1 ) , { 604   -72.99 }
 (  0,  0,  0,  0,  0,  0,  3,  0,  0,  0,  0,  0,  0,  2 ) , { 603    74.90 }
 (  0,  0,  0,  0,  0,  0,  0,  5,  0, -2,  0,  0,  0,  2 ) , { 602    75.60 }
 (  0,  0,  0,  0,  0,  0,  0,  5,  0, -3,  0,  0,  0,  2 ) , { 601    76.94 }
 (  0,  0,  0,  0,  0,  0,  0,  5,  0, -4,  0,  0,  0,  2 ) , { 600    78.33 }
 (  0,  0,  0,  0,  0,  0,  4, -2,  0,  0,  0,  0,  0,  0 ) , { 599    81.13 }
 (  0,  0,  0,  0,  0,  0,  4, -2,  0,  0,  0,  0,  0,  0 ) , { 598    81.13 }
 (  0,  0,  0,  0,  0,  0,  4, -2,  0,  0,  0,  0,  0,  2 ) , { 597    81.13 }
 (  0,  0,  0,  0,  0,  0,  4, -2,  0,  0,  0,  0,  0,  1 ) , { 596    81.13 }
 (  0,  0,  0,  0,  0,  0,  7, -7,  0,  0,  0,  0,  0,  0 ) , { 595    83.42 }
 (  0,  0,  0,  0,  0,  0, -7,  7,  0,  0,  0,  0,  0,  1 ) , { 594   -83.42 }
 (  0,  0,  0,  0,  0,  0,  2,  1,  0,  0,  0,  0,  0,  1 ) , { 593    85.92 }
 (  0,  0,  0,  0,  0,  0,  2,  1,  0,  0,  0,  0,  0,  1 ) , { 592    85.92 }
 (  0,  0,  0,  0,  0,  0,  2,  1,  0,  0,  0,  0,  0,  2 ) , { 591    85.92 }
 (  0,  0,  0,  0,  0,  0,  5, -4,  0,  0,  0,  0,  0,  2 ) , { 590    88.49 }
 (  0,  0,  0,  0,  0,  0,  8, -9,  0,  0,  0,  0,  0,  0 ) , { 589    91.22 }
 (  0,  0,  0,  0,  0,  0,  0,  4,  0,  0,  0,  0,  0,  0 ) , { 588    91.31 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -2,  0,  0,  0,  0,  2 ) , { 587    92.78 }
 (  0,  0,  0,  0,  0,  0,  0,  4,  0,  0, -2,  0,  0,  2 ) , { 586    92.89 }
 (  0,  0,  0,  0,  0,  0,  0,  4,  0, -1,  0,  0,  0,  2 ) , { 585    93.28 }
 (  0,  0,  0,  0,  0,  0,  3, -1,  0,  0,  0,  0,  0,  2 ) , { 584    94.22 }
 (  0,  0,  0,  0,  0,  0,  3, -1,  0,  0,  0,  0,  0,  1 ) , { 583    94.22 }
 (  0,  0,  0,  0,  0,  0,  3, -1,  0,  0,  0,  0,  0,  0 ) , { 582    94.22 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -4,  0,  0,  0,  0,  2 ) , { 581    94.30 }
 (  0,  0,  0,  0,  0,  0,  0,  4,  0, -2,  0,  0,  0,  2 ) , { 580    95.33 }
 (  0,  0,  0,  0,  0,  0,  6, -6,  0,  0,  0,  0,  0,  1 ) , { 579    97.32 }
 (  0,  0,  0,  0,  0,  0,  6, -6,  0,  0,  0,  0,  0,  0 ) , { 578    97.32 }
 (  0,  0,  0,  0,  0,  0, -6,  6,  0,  0,  0,  0,  0,  1 ) , { 577   -97.32 }
 (  0,  0,  0,  0,  0,  0,  0,  4,  0, -3,  0,  0,  0,  2 ) , { 576    97.48 }
 (  0,  0,  0,  0,  0,  0,  0,  4,  0, -4,  0,  0,  0,  2 ) , { 575    99.72 }
 (  0,  0,  0,  0,  0,  0, -9, 11,  0,  0,  0,  0,  0,  1 ) , { 574  -100.63 }
 (  0,  0,  0,  0,  0,  0, -9, 11,  0,  0,  0,  0,  0,  2 ) , { 573  -100.63 }
 (  0,  0,  0,  0,  0,  0,  1,  2,  0,  0,  0,  0,  0,  2 ) , { 572   100.74 }
 (  0,  0,  0,  0,  0,  0,  4, -3,  0,  0,  0,  0,  0,  2 ) , { 571   104.29 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -3,  0,  0,  0,  0,  2 ) , { 570   107.27 }
 (  0,  0,  0,  0,  0,  0,  7, -8,  0,  0,  0,  0,  0,  0 ) , { 569   108.11 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -5,  0,  0,  0,  0,  2 ) , { 568   109.30 }
 (  0,  0,  0,  0,  0,  0,  0,  7, -7,  0,  0,  0,  0,  2 ) , { 567   111.42 }
 (  0,  0,  0,  0,  0,  0,  0,  7, -7,  0,  0,  0,  0,  2 ) , { 566   111.42 }
 (  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  2 ) , { 565   112.35 }
 (  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  1 ) , { 564   112.35 }
 (  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0 ) , { 563   112.35 }
 (  0,  0,  0,  0,  0,  0,  5, -5,  0,  0,  0,  0,  0,  2 ) , { 562   116.78 }
 (  0,  0,  0,  0,  0,  0,  5, -5,  0,  0,  0,  0,  0,  1 ) , { 561   116.78 }
 (  0,  0,  0,  0,  0,  0,  5, -5,  0,  0,  0,  0,  0,  0 ) , { 560   116.78 }
 (  0,  0,  0,  0,  0,  0, -5,  5,  0,  0,  0,  0,  0,  1 ) , { 559  -116.79 }
 (  0,  0,  0,  0,  0,  0, -3,  8,  0,  0,  0,  0,  0,  2 ) , { 558   116.94 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0,  1,  0,  0,  0,  2 ) , { 557   118.42 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  2,  0,  0,  0,  0,  2 ) , { 556   119.23 }
 (  0,  0,  0,  0,  0,  0, -8, 10,  0,  0,  0,  0,  0,  2 ) , { 555  -121.59 }
 (  0,  0,  0,  0,  0,  0, -8, 10,  0,  0,  0,  0,  0,  1 ) , { 554  -121.58 }
 (  0,  0,  0,  0,  0,  0, -8, 10,  0,  0,  0,  0,  0,  2 ) , { 553  -121.59 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  8, -3,  0,  0,  0,  2 ) , { 552   121.73 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  0,  0,  0,  2 ) , { 551   121.75 }
 (  0,  0,  0,  0,  0,  0,  0, -5, 16, -4, -5,  0,  0,  2 ) , { 550   121.75 }
 (  0,  0,  0,  0,  0,  0,  0,  7, -8,  3,  0,  0,  0,  2 ) , { 549   121.77 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0,  2, -5,  0,  0,  2 ) , { 548   121.79 }
 (  0,  0,  0,  0,  0,  0, -8, 16,  0,  0,  0,  0,  0,  2 ) , { 547   121.92 }
 (  0,  0,  2, -2,  1,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 546   123.00 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0,  0, -1,  0,  0,  2 ) , { 545   123.14 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -2,  0,  0,  0,  0,  2 ) , { 544   124.38 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0,  0, -2,  0,  0,  2 ) , { 543   124.57 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -1,  0,  0,  0,  2 ) , { 542   125.27 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -1,  0,  0,  0,  2 ) , { 541   125.27 }
 (  0,  0,  0,  0,  0,  0,  3, -2,  0,  0,  0,  0,  0,  2 ) , { 540   126.97 }
 (  0,  0,  0,  0,  0,  0,  3, -2,  0,  0,  0,  0,  0,  0 ) , { 539   126.98 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -4,  0,  0,  0,  0,  2 ) , { 538   127.12 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -2,  0,  0,  0,  2 ) , { 537   129.00 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -2,  0,  0,  0,  0 ) , { 536   129.00 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -6,  0,  0,  0,  0,  2 ) , { 535   129.99 }
 (  0,  0,  0,  0,  0,  0,  6, -7,  0,  0,  0,  0,  0,  0 ) , { 534   132.67 }
 (  0,  0,  0,  0,  0,  0, -6,  7,  0,  0,  0,  0,  0,  1 ) , { 533  -132.67 }
 (  0,  0,  0,  0,  0,  0, -2,  6,  0,  0,  0,  0,  0,  2 ) , { 532   132.87 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -3,  0,  0,  0,  2 ) , { 531   132.96 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -3,  0,  0,  0,  0 ) , { 530   132.96 }
 (  0,  0,  0,  0,  0,  0,  0,  7, -8,  0,  0,  0,  0,  2 ) , { 529   132.98 }
 (  0,  0,  2, -2,  1,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 528   136.32 }
 (  0,  0,  0,  0,  0,  0,  0,  3,  0, -4,  0,  0,  0,  0 ) , { 527   137.17 }
 (  0,  0,  0,  0,  0,  0, -9, 12,  0,  0,  0,  0,  0,  2 ) , { 526  -138.90 }
 (  0,  0,  0,  0,  0,  0,  1,  1,  0,  0,  0,  0,  0,  2 ) , { 525   139.11 }
 (  0,  0,  0,  0,  0,  0,  1,  1,  0,  0,  0,  0,  0,  1 ) , { 524   139.12 }
 (  0,  0,  0,  0,  0,  0,  1,  1,  0,  0,  0,  0,  0,  0 ) , { 523   139.12 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  0,  5,  0,  0,  0,  2 ) , { 522  -141.66 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  1,  0,  0,  0,  0,  2 ) , { 521   144.27 }
 (  0,  0,  0,  0,  0,  0,  4, -4,  0,  0,  0,  0,  0,  2 ) , { 520   145.98 }
 (  0,  0,  0,  0,  0,  0,  4, -4,  0,  0,  0,  0,  0,  1 ) , { 519   145.98 }
 (  0,  0,  0,  0,  0,  0,  4, -4,  0,  0,  0,  0,  0,  0 ) , { 518   145.98 }
 (  0,  0,  0,  0,  0,  0, -4,  4,  0,  0,  0,  0,  0,  1 ) , { 517  -145.98 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -1,  0,  0,  0,  0,  2 ) , { 516   147.97 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -3,  0,  0,  0,  0,  2 ) , { 515   151.87 }
 (  0,  0,  0,  0,  0,  0, -7,  9,  0,  0,  0,  0,  0,  1 ) , { 514  -153.56 }
 (  0,  0,  0,  0,  0,  0, -7,  9,  0,  0,  0,  0,  0,  2 ) , { 513  -153.56 }
 (  0,  0,  0,  0,  0,  0, -1,  4,  0,  0,  0,  0,  0,  2 ) , { 512   153.82 }
 (  0,  0,  0,  0,  0,  0, -1,  4,  0,  0,  0,  0,  0,  1 ) , { 511   153.82 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -5,  0,  0,  0,  0,  2 ) , { 510   155.98 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -7,  0,  0,  0,  0,  2 ) , { 509   160.32 }
 (  0,  0,  0,  0,  0,  0,  2, -1,  0,  0,  0,  0,  0,  2 ) , { 508   162.26 }
 (  0,  0,  0,  0,  0,  0,  2, -1,  0,  0,  0,  0,  0,  0 ) , { 507   162.26 }
 (  0,  0,  0,  0,  0,  0,  0,  7, -9,  0,  0,  0,  0,  2 ) , { 506   164.91 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  6,  0,  0,  0,  0,  2 ) , { 505   166.77 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  2,  0,  0,  0,  2 ) , { 504   168.42 }
 (  0,  0,  0,  0,  0,  0,  5, -6,  0,  0,  0,  0,  0,  2 ) , { 503   171.67 }
 (  0,  0,  0,  0,  0,  0,  5, -6,  0,  0,  0,  0,  0,  0 ) , { 502   171.67 }
 (  0,  0,  0,  0,  0,  0, -5,  6,  0,  0,  0,  0,  0,  1 ) , { 501  -171.68 }
 (  0,  0,  0,  0,  0,  0, -5,  6,  0,  0,  0,  0,  0,  2 ) , { 500  -171.68 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  4,  0,  0,  0,  0,  2 ) , { 499   171.74 }
 (  0,  0,  0,  0,  0,  0, -3,  7,  0,  0,  0,  0,  0,  2 ) , { 498   172.01 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  1,  0,  0,  0,  2 ) , { 497   175.23 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  2,  0,  0,  0,  0,  2 ) , { 496   177.01 }
 (  0,  0,  2, -2,  1,  0,  0, -4,  8, -3,  0,  0,  0,  0 ) , { 495   177.80 }
 (  0,  0,  1, -1,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 494   177.85 }
 (  0,  0,  2, -2,  1,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 493   177.89 }
 (  0,  0,  0,  0,  0,  0,  3, -3,  0,  2,  0,  0,  0,  2 ) , { 492   178.59 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  1,  0,  0,  2 ) , { 491   179.57 }
 (  0,  0,  0,  0,  0,  0,  0, 11,  0,  0,  0,  0,  0,  2 ) , { 490    33.20 }
 (  0,  0,  0,  0,  0,  0, -8, 11,  0,  0,  0,  0,  0,  2 ) , { 489  -182.25 }
 (  0,  0,  0,  0,  0,  0, -8, 11,  0,  0,  0,  0,  0,  1 ) , { 488  -182.25 }
 (  0,  0,  0,  0,  0,  0, -8, 11,  0,  0,  0,  0,  0,  2 ) , { 487  -182.25 }
 (  0,  0,  0,  0,  0,  0,  3, -5,  4,  0,  0,  0,  0,  2 ) , { 486   182.32 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -2,  5,  0,  0,  2 ) , { 485   182.52 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -8,  1,  5,  0,  0,  2 ) , { 484   182.57 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  8, -3,  0,  0,  0,  2 ) , { 483   182.57 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  8, -3,  0,  0,  0,  2 ) , { 482   182.57 }
 (  0,  0,  0,  0,  0,  0,  0, -6, 16, -4, -5,  0,  0,  2 ) , { 481   182.62 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  2 ) , { 480   182.62 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  1 ) , { 479   182.62 }
 (  0,  0,  1, -1,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 478   182.62 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  1 ) , { 477   182.62 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0 ) , { 476   182.63 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0 ) , { 475   182.63 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -8,  3,  0,  0,  0,  2 ) , { 474   182.67 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  8, -1, -5,  0,  0,  2 ) , { 473   182.67 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  2, -5,  0,  0,  2 ) , { 472   182.72 }
 (  0,  0,  0,  0,  0,  0, -3,  9, -4,  0,  0,  0,  0,  2 ) , { 471   182.92 }
 (  0,  0,  0,  0,  0,  0, -8, 15,  0,  0,  0,  0,  0,  2 ) , { 470   183.00 }
 (  0,  0,  0,  0,  0,  0,  0, -6, 15,  0,  0,  0,  0,  2 ) , { 469   184.91 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0, -1,  0,  0,  2 ) , { 468   185.77 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -2,  0,  0,  0,  0,  2 ) , { 467   188.60 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -2,  0,  0,  0,  0,  0 ) , { 466   188.60 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0, -2,  0,  0,  1 ) , { 465   189.04 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0, -2,  0,  0,  0 ) , { 464   189.05 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -1,  0,  0,  0,  2 ) , { 463   190.66 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -1,  0,  0,  0,  0 ) , { 462   190.67 }
 (  0,  0,  0,  0,  0,  0,  0, -5, 13,  0,  0,  0,  0,  2 ) , { 461   191.04 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0,  0, -3,  0,  0,  0 ) , { 460   192.43 }
 (  0,  0,  0,  0,  0,  0,  3, -3,  0,  0,  0,  0,  0,  2 ) , { 459   194.63 }
 (  0,  0,  0,  0,  0,  0,  3, -3,  0,  0,  0,  0,  0,  1 ) , { 458   194.64 }
 (  0,  0,  0,  0,  0,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 457   194.64 }
 (  0,  0,  0,  0,  0,  0, -3,  3,  0,  0,  0,  0,  0,  1 ) , { 456  -194.64 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -4,  0,  0,  0,  0,  2 ) , { 455   194.98 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -4,  0,  0,  0,  0,  0 ) , { 454   194.98 }
 (  0,  0,  0,  0,  0,  0, -5, 10,  0,  0,  0,  0,  0,  2 ) , { 453   195.07 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -2,  0,  0,  0,  2 ) , { 452   199.43 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -2,  0,  0,  0,  1 ) , { 451   199.44 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 450   199.44 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -6,  0,  0,  0,  0,  2 ) , { 449   201.80 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -6,  0,  0,  0,  0,  0 ) , { 448   201.81 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  9,  0,  0,  0,  0,  2 ) , { 447   204.60 }
 (  0,  0,  0,  0,  1,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 446   205.47 }
 (  0,  0,  0,  0,  0,  0,  6, -8,  0,  0,  0,  0,  0,  0 ) , { 445   208.34 }
 (  0,  0,  0,  0,  0,  0, -6,  8,  0,  0,  0,  0,  0,  1 ) , { 444  -208.35 }
 (  0,  0,  0,  0,  0,  0, -6,  8,  0,  0,  0,  0,  0,  2 ) , { 443  -208.35 }
 (  0,  0,  0,  0,  0,  0, -2,  5,  0,  0,  0,  0,  0,  2 ) , { 442   208.83 }
 (  0,  0,  0,  0,  0,  0, -2,  5,  0,  0,  0,  0,  0,  1 ) , { 441   208.84 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 440   209.07 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  7,  0,  0,  0,  0,  2 ) , { 439   212.13 }
 (  0,  0,  0,  0,  0,  0,  0,  2,  0, -4,  0,  0,  0,  0 ) , { 438   219.67 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  0,  4,  0,  0,  0,  2 ) , { 437  -219.68 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  5,  0,  0,  0,  0,  2 ) , { 436   220.23 }
 (  0,  0,  0,  0,  0,  0, -9, 13,  0,  0,  0,  0,  0,  2 ) , { 435  -224.13 }
 (  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  2 ) , { 434   224.69 }
 (  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0 ) , { 433   224.70 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  0,  0,  2 ) , { 432   228.98 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  0,  5,  0,  0,  0,  2 ) , { 431  -231.41 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  1,  0,  0,  0,  0,  2 ) , { 430   238.46 }
 (  0,  0,  0,  0,  0,  0,  4, -5,  0,  0,  0,  0,  0,  0 ) , { 429   243.16 }
 (  0,  0,  0,  0,  0,  0, -4,  5,  0,  0,  0,  0,  0,  1 ) , { 428  -243.17 }
 (  0,  0,  0,  0,  0,  0, -4,  5,  0,  0,  0,  0,  0,  2 ) , { 427  -243.18 }
 (  0,  0,  0,  0,  0,  0, -4,  8,  0,  0,  0,  0,  0,  2 ) , { 426   243.83 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -3,  0,  0,  0,  0,  0 ) , { 425   259.98 }
 (  0,  0,  0,  0,  0,  0, -7, 10,  0,  0,  0,  0,  0,  1 ) , { 424  -264.94 }
 (  0,  0,  0,  0,  0,  0, -7, 10,  0,  0,  0,  0,  0,  2 ) , { 423  -264.95 }
 (  0,  0,  0,  0,  0,  0, -1,  3,  0,  0,  0,  0,  0,  2 ) , { 422   265.73 }
 (  0,  0,  1, -1,  1,  0, -1,  2,  0,  0,  0,  0,  0,  0 ) , { 421   265.73 }
 (  0,  0,  0,  0,  0,  0, -1,  3,  0,  0,  0,  0,  0,  1 ) , { 420   265.73 }
 (  0,  0,  0,  0,  0,  0,  1, -3,  0,  0,  0,  0,  0,  0 ) , { 419  -265.74 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -5,  0,  0,  0,  0,  0 ) , { 418   272.26 }
 (  0,  0,  0,  0,  1,  0, -2,  2,  0,  0,  0,  0,  0,  0 ) , { 417  -279.94 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -7,  0,  0,  0,  0,  0 ) , { 416   285.76 }
 (  0,  0,  0,  0,  0,  0,  0, -5,  7,  0,  0,  0,  0,  2 ) , { 415  -285.77 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  3,  0,  0,  0,  2 ) , { 414   291.51 }
 (  0,  0,  0,  0,  0,  0,  2, -2,  0,  0,  0,  0,  0,  1 ) , { 413   291.95 }
 (  0,  0,  0,  0,  0,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 412   291.96 }
 (  0,  0,  1, -1,  1,  0, -2,  1,  0,  0,  0,  0,  0,  0 ) , { 411  -291.97 }
 (  0,  0,  0,  0,  0,  0, -2,  2,  0,  0,  0,  0,  0,  1 ) , { 410  -291.97 }
 (  0,  0,  0,  0,  0,  0,  0,  6, -9,  0,  0,  0,  0,  0 ) , { 409   300.66 }
 (  0,  0,  0,  0,  0,  0,  0, -6,  9,  0,  0,  0,  0,  2 ) , { 408  -300.68 }
 (  0,  0,  0,  0,  1,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 407   305.06 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  6,  0,  0,  0,  0,  2 ) , { 406   306.89 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  2,  0,  0,  0,  2 ) , { 405   312.54 }
 (  0,  0,  0,  0,  0, -1,  0,  3,  0,  0,  0,  0,  0,  2 ) , { 404  -317.06 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 403  -398.88 }
 (  0,  0,  2, -2,  1,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 402   320.93 }
 (  0,  0,  0,  0,  0,  0,  5, -7,  0,  0,  0,  0,  0,  0 ) , { 401   323.92 }
 (  0,  0,  1, -1,  1,  0, -5,  6,  0,  0,  0,  0,  0,  0 ) , { 400  -323.93 }
 (  0,  0,  0,  0,  0,  0, -5,  7,  0,  0,  0,  0,  0,  1 ) , { 399  -323.93 }
 (  0,  0,  0,  0,  0,  0, -5,  7,  0,  0,  0,  0,  0,  2 ) , { 398  -323.94 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  4,  0,  0,  0,  0,  2 ) , { 397   324.15 }
 (  0,  0,  0,  0,  0,  0, -3,  6,  0,  0,  0,  0,  0,  2 ) , { 396   325.10 }
 (  0,  0,  0,  0,  0,  0, -3,  6,  0,  0,  0,  0,  0,  1 ) , { 395   325.11 }
 (  0,  0,  0,  0,  0,  0,  3, -6,  0,  0,  0,  0,  0,  0 ) , { 394  -325.13 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  1,  0,  0,  0,  2 ) , { 393   336.83 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  1,  0,  0,  0,  1 ) , { 392   336.85 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  1,  0,  0,  0,  0 ) , { 391   336.86 }
 (  0,  0,  2, -2,  1,  0, -5,  5,  0,  0,  0,  0,  0,  0 ) , { 390  -340.15 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  2,  0,  0,  2 ) , { 389   342.01 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  2 ) , { 388   343.46 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0 ) , { 387   343.49 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  1,  0,  0,  2 ) , { 386   353.24 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  1, -2,  0,  0,  0 ) , { 385   359.36 }
 (  0,  0,  0,  0,  0,  0, -8, 12,  0,  0,  0,  0,  0,  0 ) , { 384  -363.73 }
 (  0,  0,  0,  0,  0,  0, -8, 12,  0,  0,  0,  0,  0,  2 ) , { 383  -363.76 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -2,  5,  0,  0,  2 ) , { 382   364.82 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  8, -3,  0,  0,  0,  2 ) , { 381   365.02 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -8,  3,  0,  0,  0,  0 ) , { 380  -365.05 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 379   365.26 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  0,  0,  0,  0,  1 ) , { 378  -365.27 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -8,  3,  0,  0,  0,  2 ) , { 377   365.43 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -8,  3,  0,  0,  0,  0 ) , { 376   365.46 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  2, -5,  0,  0,  0 ) , { 375   365.67 }
 (  0,  0,  0,  0,  0,  0, -8, 14,  0,  0,  0,  0,  0,  2 ) , { 374   366.76 }
 (  0,  0,  0,  0,  1,  0,  0, -2,  2,  0,  0,  0,  0,  0 ) , { 373  -368.81 }
 (  0,  0,  0,  0,  1,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 372  -376.78 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  0, -1,  0,  0,  0 ) , { 371   378.09 }
 (  0,  0,  0,  0,  0,  0,  0,  2, -2,  0,  0,  0,  0,  0 ) , { 370   389.97 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  0, -2,  0,  0,  0 ) , { 369   391.86 }
 (  0,  0,  0,  0,  1,  0, -3,  4,  0,  0,  0,  0,  0,  0 ) , { 368  -392.62 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -3,  5,  0,  0,  0 ) , { 367   398.39 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -1,  0,  0,  0,  1 ) , { 366   398.87 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 365   398.88 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  1,  0,  0,  0,  1 ) , { 364  -398.90 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  1, -5,  0,  0,  0 ) , { 363   399.38 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0,  0, -3,  0,  0,  0 ) , { 362   406.67 }
 (  0,  0,  0,  0,  1,  0,  0, -1,  0,  2,  0,  0,  0,  0 ) , { 361  -412.66 }
 (  0,  0,  0,  0,  1,  0,  0,  2, -2,  0,  0,  0,  0,  0 ) , { 360   413.70 }
 (  0,  0,  0,  0,  0,  0,  3, -4,  0,  0,  0,  0,  0,  1 ) , { 359   416.67 }
 (  0,  0,  0,  0,  0,  0,  3, -4,  0,  0,  0,  0,  0,  0 ) , { 358   416.69 }
 (  0,  0,  0,  0,  0,  0, -3,  4,  0,  0,  0,  0,  0,  1 ) , { 357  -416.71 }
 (  0,  0,  0,  0,  0,  0, -3,  4,  0,  0,  0,  0,  0,  2 ) , { 356  -416.73 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -4,  0,  0,  0,  0,  0 ) , { 355   418.27 }
 (  0,  0,  0,  0,  0,  0, -5,  9,  0,  0,  0,  0,  0,  2 ) , { 354   418.65 }
 (  0,  0,  0,  0,  1,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 353   423.75 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -2,  0,  0,  0,  0 ) , { 352   439.33 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  2,  0,  0,  0,  2 ) , { 351  -439.37 }
 (  0,  0,  0,  0,  1,  0,  3, -4,  0,  0,  0,  0,  0,  0 ) , { 350   443.90 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -6,  0,  0,  0,  0,  0 ) , { 349   450.99 }
 (  0,  0,  0,  0,  0,  0,  0, -4,  6,  0,  0,  0,  0,  2 ) , { 348  -451.04 }
 (  0,  0,  2, -2,  1,  0, -2,  2,  0,  0,  0,  0,  0,  0 ) , { 347   455.00 }
 (  0,  0,  0,  0,  1,  0,  0,  1,  0, -2,  0,  0,  0,  0 ) , { 346   469.68 }
 (  0,  0,  0,  0,  0,  0,  6, -9,  0,  0,  0,  0,  0,  0 ) , { 345   484.98 }
 (  0,  0,  0,  0,  0,  0, -6,  9,  0,  0,  0,  0,  0,  1 ) , { 344  -485.00 }
 (  0,  0,  0,  0,  0,  0, -6,  9,  0,  0,  0,  0,  0,  2 ) , { 343  -485.03 }
 (  0,  0,  0,  0,  0,  0, -2,  4,  0,  0,  0,  0,  0,  2 ) , { 342   487.64 }
 (  0,  0,  1, -1,  1,  0, -2,  3,  0,  0,  0,  0,  0,  0 ) , { 341   487.66 }
 (  0,  0,  0,  0,  0,  0, -2,  4,  0,  0,  0,  0,  0,  1 ) , { 340   487.66 }
 (  0,  0,  0,  0,  0,  0,  2, -4,  0,  0,  0,  0,  0,  0 ) , { 339  -487.69 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -3,  0,  0,  0,  0 ) , { 338   488.91 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  3,  0,  0,  0,  1 ) , { 337  -488.93 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  3,  0,  0,  0,  2 ) , { 336  -488.96 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -8,  0,  0,  0,  0,  0 ) , { 335   489.27 }
 (  0,  0,  0,  0,  0,  0,  0, -5,  8,  0,  0,  0,  0,  2 ) , { 334  -489.33 }
 ( -2,  0,  0,  2,  0,  0,  4, -4,  0,  0,  0,  0,  0,  0 ) , { 333   501.67 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  7,  0,  0,  0,  0,  2 ) , { 332   505.99 }
 (  0,  0,  2, -2,  1,  0,  0, -3,  0,  3,  0,  0,  0,  0 ) , { 331  -526.85 }
 (  0,  0,  0,  0,  0,  0,  0, -6, 10,  0,  0,  0,  0,  0 ) , { 330  -534.66 }
 (  0,  0,  0,  0,  0,  0,  0, -6, 10,  0,  0,  0,  0,  2 ) , { 329  -534.72 }
 (  0,  0,  0,  0,  1,  0, -1,  1,  0,  0,  0,  0,  0,  0 ) , { 328  -537.73 }
 (  0,  0,  0,  0,  0,  0,  0,  1,  0, -4,  0,  0,  0,  0 ) , { 327   551.10 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  4,  0,  0,  0,  2 ) , { 326  -551.16 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  5,  0,  0,  0,  0,  2 ) , { 325   554.68 }
 (  0,  0,  1, -1,  1,  0,  1, -2,  0,  0,  0,  0,  0,  0 ) , { 324   583.89 }
 (  0,  0,  0,  0,  0,  0,  1, -1,  0,  0,  0,  0,  0,  1 ) , { 323   583.89 }
 (  0,  0,  0,  0,  0,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 322   583.92 }
 (  0,  0,  1, -1,  1,  0, -1,  0,  0,  0,  0,  0,  0,  0 ) , { 321  -583.96 }
 (  0,  0,  0,  0,  0,  0, -1,  1,  0,  0,  0,  0,  0,  1 ) , { 320  -583.96 }
 (  0,  0,  0,  0,  0,  0, -1,  1,  0,  0,  0,  0,  0,  2 ) , { 319  -583.99 }
 (  0,  0,  0,  0,  0,  0,  0, -7, 12,  0,  0,  0,  0,  2 ) , { 318  -589.40 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  3,  0,  0,  0,  0,  2 ) , { 317   613.74 }
 (  0,  0,  0,  0,  0,  0,  0,  1, -3,  0,  0,  0,  0,  0 ) , { 316  -613.82 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  0,  5,  0,  0,  0,  2 ) , { 315  -631.49 }
 (  0,  0,  0,  0,  1,  0,  1, -1,  0,  0,  0,  0,  0,  0 ) , { 314   638.79 }
 (  0,  0, -1,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0 ) , { 313   638.83 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  0,  0 ) , { 312   686.98 }
 ( -2,  0,  0,  2,  0,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 311  -698.43 }
 (  0,  0,  0,  0,  0,  0,  4, -6,  0,  0,  0,  0,  0,  0 ) , { 310   727.47 }
 (  0,  0,  0,  0,  0,  0, -4,  6,  0,  0,  0,  0,  0,  1 ) , { 309  -727.52 }
 (  0,  0,  1, -1,  1,  0, -4,  5,  0,  0,  0,  0,  0,  0 ) , { 308  -727.52 }
 (  0,  0,  0,  0,  0,  0, -4,  6,  0,  0,  0,  0,  0,  1 ) , { 307  -727.52 }
 (  0,  0,  0,  0,  0,  0, -4,  6,  0,  0,  0,  0,  0,  2 ) , { 306  -727.58 }
 (  0,  0,  0,  0,  0,  0, -4,  7,  0,  0,  0,  0,  0,  2 ) , { 305   733.47 }
 (  0,  0,  1, -1,  1,  0, -4,  6,  0,  0,  0,  0,  0,  0 ) , { 304   733.53 }
 (  0,  0,  0,  0,  0,  0, -4,  7,  0,  0,  0,  0,  0,  1 ) , { 303   733.53 }
 (  0,  0,  0,  0,  0,  0,  0,  1, -1,  0,  0,  0,  0,  0 ) , { 302   779.94 }
 (  0,  0, -1,  1,  0,  0,  4, -5,  0,  0,  0,  0,  0,  0 ) , { 301   814.71 }
 (  0,  0,  2, -2,  1,  0, -4,  4,  0,  0,  0,  0,  0,  0 ) , { 300  -814.78 }
 (  0,  0,  0,  0,  0,  0,  0,  2, -3,  0,  0,  0,  0,  0 ) , { 299   901.98 }
 (  0,  0, -2,  2,  0,  0,  4, -4,  0,  0,  0,  0,  0,  0 ) , { 298   925.73 }
 (  0,  0,  0,  0,  0,  0, -7, 11,  0,  0,  0,  0,  0,  1 ) , { 297  -964.70 }
 (  0,  0,  0,  0,  0,  0, -7, 11,  0,  0,  0,  0,  0,  2 ) , { 296  -964.79 }
 (  0,  0,  0,  0,  0,  0, -1,  2,  0,  0,  0,  0,  0,  2 ) , { 295   975.18 }
 (  0,  0,  0,  0,  0,  0, -1,  2,  0,  0,  0,  0,  0,  1 ) , { 294   975.28 }
 (  0,  0,  0,  0,  0,  0,  1, -2,  0,  0,  0,  0,  0,  0 ) , { 293  -975.38 }
 (  0,  0,  1, -1,  1,  0,  1, -3,  0,  0,  0,  0,  0,  0 ) , { 292  -975.48 }
 (  0,  0,  0,  0,  0,  0,  1, -2,  0,  0,  0,  0,  0,  1 ) , { 291  -975.48 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -5,  0,  0,  0,  0,  0 ) , { 290  1069.32 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  5,  0,  0,  0,  0,  1 ) , { 289 -1069.44 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  5,  0,  0,  0,  0,  2 ) , { 288 -1069.56 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  4,  0,  0,  0,  2 ) , { 287  1082.90 }
 (  0,  0,  0,  0,  1,  0, -1,  2,  0,  0,  0,  0,  0,  0 ) , { 286  1138.76 }
 (  0,  0,  0,  0,  0,  0,  0, -5, 10,  0,  0,  0,  0,  2 ) , { 285  1152.52 }
 (  0,  0,  2, -2,  1,  0,  0, -2,  0,  3,  0,  0,  0,  0 ) , { 284  1190.85 }
 (  0,  0,  0,  0,  1,  0, -2,  3,  0,  0,  0,  0,  0,  0 ) , { 283 -1198.45 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -7,  0,  0,  0,  0,  0 ) , { 282  1312.88 }
 (  0,  0,  0,  0,  0,  0,  0, -4,  7,  0,  0,  0,  0,  1 ) , { 281 -1313.06 }
 (  0,  0,  0,  0,  0,  0,  0, -4,  7,  0,  0,  0,  0,  2 ) , { 280 -1313.24 }
 (  0,  0, -2,  2,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 279 -1322.72 }
 (  0,  0,  0,  0,  0,  0,  0, -4,  8,  0,  0,  0,  0,  2 ) , { 278  1440.56 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -8,  0,  0,  0,  0,  0 ) , { 277 -1441.00 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  0,  2 ) , { 276  1443.75 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  0,  1 ) , { 275  1443.98 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  3,  0,  0,  0,  0 ) , { 274  1443.97 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  0,  1 ) , { 273  1443.98 }
 (  0,  0,  0,  0,  0,  0,  2, -3,  0,  0,  0,  0,  0,  1 ) , { 272  1454.71 }
 (  0,  0,  0,  0,  0,  0,  2, -3,  0,  0,  0,  0,  0,  0 ) , { 271  1454.94 }
 (  0,  0,  1, -1,  1,  0, -2,  2,  0,  0,  0,  0,  0,  0 ) , { 270 -1455.16 }
 (  0,  0,  0,  0,  0,  0, -2,  3,  0,  0,  0,  0,  0,  1 ) , { 269 -1455.16 }
 (  0,  0,  0,  0,  0,  0, -2,  3,  0,  0,  0,  0,  0,  2 ) , { 268 -1455.39 }
 (  0,  0,  0,  0,  0,  0, -6, 10,  0,  0,  0,  0,  0,  2 ) , { 267  1479.14 }
 (  0,  0,  0,  0,  0,  0, -6, 10,  0,  0,  0,  0,  0,  1 ) , { 266  1479.37 }
 (  0,  0, -2,  2,  0,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 265 -1581.46 }
 ( -2,  0,  1,  1,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0 ) , { 264  1616.03 }
 (  0,  0,  2, -2,  1,  0,  0, -2,  0,  2,  0,  0,  0,  0 ) , { 263  1642.24 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0, -2,  0,  0,  0,  0 ) , { 262 -1642.53 }
 (  0,  0,  0,  0,  0,  0,  0,  5, -9,  0,  0,  0,  0,  0 ) , { 261  1700.12 }
 (  0,  0,  0,  0,  0,  0,  0, -5,  9,  0,  0,  0,  0,  1 ) , { 260 -1700.42 }
 (  0,  0,  0,  0,  0,  0,  0, -5,  9,  0,  0,  0,  0,  2 ) , { 259 -1700.73 }
 (  0,  0,  0,  0,  1,  0,  2, -3,  0,  0,  0,  0,  0,  0 ) , { 258  1851.09 }
 (  0,  0, -1,  1,  0,  0,  2, -2,  0,  0,  0,  0,  0,  0 ) , { 257  1851.46 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  6,  0,  0,  0,  0,  2 ) , { 256  1920.55 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  6,  0,  0,  0,  0,  1 ) , { 255  1920.94 }
 (  0,  0,  1, -1,  1,  0,  0, -4,  6,  0,  0,  0,  0,  0 ) , { 254  1920.94 }
 (  0,  0,  0,  0,  0,  0,  0, -3,  6,  0,  0,  0,  0,  1 ) , { 253  1920.94 }
 (  0,  0,  0,  0,  0,  0,  0,  3, -6,  0,  0,  0,  0,  0 ) , { 252 -1921.34 }
 (  0,  0,  1, -1,  2,  0, -5,  7,  0,  0,  0,  0,  0,  0 ) , { 251 -2014.61 }
 (  0,  0,  2, -2,  1,  0,  0, -4,  4,  0,  0,  0,  0,  0 ) , { 250  2023.12 }
 (  0,  0,  0,  0,  1,  0,  0,  2, -4,  0,  0,  0,  0,  0 ) , { 249 -2023.99 }
 (  0,  0,  2, -2,  1,  0, -3,  3,  0,  0,  0,  0,  0,  0 ) , { 248  2060.86 }
 (  0,  0, -1,  1,  0,  0,  3, -4,  0,  0,  0,  0,  0,  0 ) , { 247 -2061.31 }
 (  0,  0,  0,  0,  1,  0,  3, -5,  0,  0,  0,  0,  0,  0 ) , { 246 -2061.76 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  5,  0,  0,  2 ) , { 245  2150.86 }
 (  0,  0,  2, -2,  2,  0,  0, -2,  0,  2,  0,  0,  0,  0 ) , { 244  2165.30 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  2 ) , { 243  2165.30 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  1 ) , { 242  2165.80 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  2,  0,  0,  0,  0 ) , { 241  2165.80 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  1 ) , { 240  2165.80 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  0,  0 ) , { 239  2166.29 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  4, -5,  0,  0,  2 ) , { 238  2179.93 }
 (  0,  0,  2, -2,  1,  0,  0, -7,  9,  0,  0,  0,  0,  0 ) , { 237 -2268.15 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0,  0, -2,  0,  0,  0 ) , { 236  2310.49 }
 (  2,  0,  0, -2,  1,  0, -3,  3,  0,  0,  0,  0,  0,  0 ) , { 235 -2337.20 }
 (  0,  0,  0,  0,  0,  1,  0, -4,  0,  0,  0,  0,  0,  0 ) , { 234  2401.56 }
 (  0,  0,  0,  0,  0, -1,  0,  4,  0,  0,  0,  0,  0,  2 ) , { 233 -2402.79 }
 (  0,  0,  0,  0,  0,  0,  0,  6,-11,  0,  0,  0,  0,  0 ) , { 232  2411.36 }
 (  0,  0,  0,  0,  0,  0,  0, -6, 11,  0,  0,  0,  0,  2 ) , { 231 -2412.59 }
 (  0,  0,  2, -2,  1,  0,  0, -2,  0,  1,  0,  0,  0,  0 ) , { 230  2644.70 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , { 229 -2645.44 }
 (  0,  0,  0,  0,  1,  0,  0,  0,  0, -1,  0,  0,  0,  0 ) , { 228 -2646.18 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0, -1,  0,  0,  0,  0 ) , { 227 -2646.93 }
 (  0,  0,  0,  0,  0,  0,  5, -8,  0,  0,  0,  0,  0,  0 ) , { 226  2862.15 }
 (  0,  0,  0,  0,  0,  0, -5,  8,  0,  0,  0,  0,  0,  1 ) , { 225 -2863.02 }
 (  0,  0,  1, -1,  1,  0, -5,  7,  0,  0,  0,  0,  0,  0 ) , { 224 -2863.02 }
 (  0,  0,  0,  0,  0,  0, -5,  8,  0,  0,  0,  0,  0,  1 ) , { 223 -2863.02 }
 (  0,  0,  0,  0,  0,  0, -5,  8,  0,  0,  0,  0,  0,  2 ) , { 222 -2863.89 }
 (  0,  0,  2, -2,  2,  0, -5,  6,  0,  0,  0,  0,  0,  0 ) , { 221 -2863.89 }
 (  0,  0,  0,  0,  0,  0, -5,  8,  0,  0,  0,  0,  0,  2 ) , { 220 -2863.89 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  4,  0,  0,  0,  0,  2 ) , { 219  2880.24 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  4,  0,  0,  0,  0,  1 ) , { 218  2881.12 }
 (  0,  0,  1, -1,  1,  0,  0, -3,  4,  0,  0,  0,  0,  0 ) , { 217  2881.12 }
 (  0,  0,  0,  0,  0,  0,  0, -2,  4,  0,  0,  0,  0,  1 ) , { 216  2881.12 }
 (  0,  0,  0,  0,  0,  0,  0,  2, -4,  0,  0,  0,  0,  0 ) , { 215 -2882.00 }
 (  0,  0,  1, -1,  1,  0,  0,  1, -4,  0,  0,  0,  0,  0 ) , { 214 -2882.89 }
 (  0,  0,  0,  0,  0,  0,  0,  2, -4,  0,  0,  0,  0,  1 ) , { 213 -2882.89 }
 (  0,  0,  0,  0,  0,  0, -3,  5,  0,  0,  0,  0,  0,  2 ) , { 212  2957.35 }
 (  0,  0,  2, -2,  2,  0, -3,  3,  0,  0,  0,  0,  0,  0 ) , { 211  2957.35 }
 (  0,  0,  0,  0,  0,  0, -3,  5,  0,  0,  0,  0,  0,  2 ) , { 210  2957.35 }
 (  0,  0,  0,  0,  0,  0, -3,  5,  0,  0,  0,  0,  0,  1 ) , { 209  2958.28 }
 (  0,  0,  1, -1,  1,  0, -3,  4,  0,  0,  0,  0,  0,  0 ) , { 208  2958.28 }
 (  0,  0,  0,  0,  0,  0,  3, -5,  0,  0,  0,  0,  0,  0 ) , { 207 -2959.21 }
 (  0,  0,  0,  0,  0,  0,  3, -5,  0,  0,  0,  0,  0,  1 ) , { 206 -2960.14 }
 (  0,  0,  1, -1,  1,  0,  3, -6,  0,  0,  0,  0,  0,  0 ) , { 205 -2960.14 }
 (  0,  0,  2, -2,  1,  0,  0, -2,  0,  0,  2,  0,  0,  0 ) , { 204  3001.26 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  0, -2,  0,  0,  0 ) , { 203 -3002.22 }
 (  0,  0, -1,  1,  0,  0,  0,  2, -2,  0,  0,  0,  0,  0 ) , { 202 -3118.27 }
 (  0,  0,  0,  0,  1,  0,  0,  1, -2,  0,  0,  0,  0,  0 ) , { 201 -3119.31 }
 (  0,  0,  1, -1,  2,  0,  0,  0, -2,  0,  0,  0,  0,  0 ) , { 200 -3120.34 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0,  2,  0,  0,  0,  0 ) , { 199  3178.33 }
 (  2,  0,  0, -2,  1,  0,  0, -2,  0,  2,  0,  0,  0,  0 ) , { 198 -3287.61 }
 (  0,  0,  0,  0,  2,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 197 -3381.55 }
 (  0,  0,  0,  0,  2,  0,  0, -4,  8, -3,  0,  0,  0,  0 ) , { 196 -3417.02 }
 ( -2,  0,  0,  2,  0,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 195  3561.66 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  2 ) , { 194  3583.68 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0,  1 ) , { 193  3585.04 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0,  3,  0,  0,  0 ) , { 192  3585.04 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2, -2,  0,  0,  0 ) , { 191  3626.73 }
 ( -2,  0,  0,  2,  0,  0,  0,  4, -4,  0,  0,  0,  0,  0 ) , { 190  3680.33 }
 (  0,  0,  2, -2,  1, -1,  0,  2,  0,  0,  0,  0,  0,  0 ) , { 189 -3716.24 }
 (  0,  0,  2, -2,  1,  0,  0, -8, 11,  0,  0,  0,  0,  0 ) , { 188 -3739.75 }
 (  2,  0,  0, -2,  1,  0,  0, -5,  6,  0,  0,  0,  0,  0 ) , { 187 -4076.33 }
 (  0,  0,  0,  0,  0,  0,  0,  7,-13,  0,  0,  0,  0,  0 ) , { 186  4145.70 }
 (  0,  0,  0,  0,  0,  0,  0, -7, 13,  0,  0,  0,  0,  2 ) , { 185 -4149.35 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  0, -1,  0,  0,  0 ) , { 184 -4164.18 }
 (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0, -1,  0,  0,  0 ) , { 183 -4166.02 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0,  0, -1,  0,  0,  0 ) , { 182 -4167.86 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  2 ) , { 181  4328.61 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  1 ) , { 180  4330.60 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 179  4330.60 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  1 ) , { 178  4330.60 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0,  0 ) , { 177  4332.59 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0, -1,  0,  0,  0,  1 ) , { 176 -4334.58 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0, -1,  0,  0,  0,  0 ) , { 175 -4334.58 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  3, -5,  0,  0,  0 ) , { 174  4391.57 }
 (  1,  0,  0, -1,  1,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 173 -4431.98 }
 ( -2,  0,  0,  2,  1,  0,  0,  6, -8,  0,  0,  0,  0,  0 ) , { 172 -4497.22 }
 ( -2,  0,  0,  2,  1,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , { 171 -4528.49 }
 (  0,  0,  0,  0,  1,  0,  0, -8, 15,  0,  0,  0,  0,  0 ) , { 170 -4655.12 }
 ( -2,  0,  0,  2,  1,  0,  6, -8,  0,  0,  0,  0,  0,  0 ) , { 169 -4895.86 }
 (  0,  0,  0,  0,  1,  0,  5, -8,  0,  0,  0,  0,  0,  0 ) , { 168  4943.31 }
 (  0,  0, -1,  1,  0,  0,  5, -7,  0,  0,  0,  0,  0,  0 ) , { 167  4945.91 }
 (  0,  0,  2, -2,  1,  0, -5,  6,  0,  0,  0,  0,  0,  0 ) , { 166 -4948.51 }
 (  0,  0,  0,  0,  1,  0,  0, -2,  4,  0,  0,  0,  0,  0 ) , { 165  5002.82 }
 (  0,  0,  1, -1,  2,  0, -3,  4,  0,  0,  0,  0,  0,  0 ) , { 164  5237.23 }
 (  0,  0,  0,  0,  1,  0, -3,  5,  0,  0,  0,  0,  0,  0 ) , { 163  5240.15 }
 (  0,  0,  1, -1,  0,  0,  3, -6,  0,  0,  0,  0,  0,  0 ) , { 162 -5243.07 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  2 ) , { 161  5373.47 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  0,  1 ) , { 160  5376.54 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0,  2,  0,  0,  0 ) , { 159  5376.54 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0, -2,  0,  0,  0 ) , { 158 -5382.69 }
 ( -1,  0,  0,  1,  1,  0,  0,  3, -4,  0,  0,  0,  0,  0 ) , { 157 -5413.40 }
 ( -1,  0,  0,  1,  1,  0,  3, -4,  0,  0,  0,  0,  0,  0 ) , { 156 -5692.36 }
 (  0,  0,  0,  0,  0,  0,  0, -1,  2,  0,  0,  0,  0,  1 ) , { 155  5760.48 }
 (  0,  0,  1, -1,  1,  0,  0, -2,  2,  0,  0,  0,  0,  0 ) , { 154  5760.48 }
 (  0,  0,  0,  0,  0,  0,  0,  1, -2,  0,  0,  0,  0,  0 ) , { 153 -5764.01 }
 (  0,  0,  1, -1,  1,  0,  0,  0, -2,  0,  0,  0,  0,  0 ) , { 152 -5767.54 }
 (  0,  0,  0,  0,  0,  0,  0,  1, -2,  0,  0,  0,  0,  1 ) , { 151 -5767.54 }
 (  0,  0,  0,  0,  1,  0, -8, 13,  0,  0,  0,  0,  0,  0 ) , { 150 -6307.04 }
 (  0,  0,  1, -1,  2,  0, -8, 12,  0,  0,  0,  0,  0,  0 ) , { 149 -6311.26 }
 ( -2,  0,  1,  1,  1,  0,  0,  1,  0, -2,  0,  0,  0,  0 ) , { 148  6361.95 }
 (  1,  0,  0,  0,  1,  0,-18, 16,  0,  0,  0,  0,  0,  0 ) , { 147 -6364.52 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , { 146  6366.25 }
 (  0,  0,  0,  0,  1,  0, -3,  7, -4,  0,  0,  0,  0,  0 ) , { 145 -6404.24 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0,  0, -5,  0,  0,  0 ) , { 144  6494.41 }
 (  2,  0, -1, -1,  1,  0,  0,  3, -7,  0,  0,  0,  0,  0 ) , { 143 -6609.18 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  2, -5,  0,  0,  0 ) , { 142 -6653.37 }
 (  0,  0,  0,  0,  1,  0,  0,  0,  0,  2, -5,  0,  0,  0 ) , { 141 -6658.08 }
 (  0,  0,  0,  0,  1,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , { 140 -6728.16 }
 ( -1,  0,  0,  0,  1,  0, 10, -3,  0,  0,  0,  0,  0,  0 ) , { 139 -6732.84 }
 (  0,  0,  2, -2,  1,  0,  0, -2,  0,  0,  0,  0,  0,  0 ) , { 138  6788.58 }
 (  1,  0,  0,  0,  1,  0,-10,  3,  0,  0,  0,  0,  0,  0 ) , { 137 -6865.22 }
 (  0,  0,  0,  0,  1,  0,  0, -4,  8, -3,  0,  0,  0,  0 ) , { 136 -6870.08 }
 (  0,  0,  0,  0,  1,  0,  0,  0,  0, -2,  5,  0,  0,  0 ) , { 135 -6944.73 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0, -2,  5,  0,  0,  0 ) , { 134 -6949.86 }
 ( -2,  0,  1,  1,  1,  0,  0, -3,  7,  0,  0,  0,  0,  0 ) , { 133 -6998.74 }
 (  0,  0,  0,  0,  1,  0,  3, -7,  4,  0,  0,  0,  0,  0 ) , { 132 -7244.22 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0, -1,  1,  0,  0,  0 ) , { 131 -7259.05 }
 ( -1,  0,  0,  0,  1,  0, 18,-16,  0,  0,  0,  0,  0,  0 ) , { 130 -7295.73 }
 ( -1,  0,  0,  1,  0,  0,  0,  2, -2,  0,  0,  0,  0,  0 ) , { 129  7360.65 }
 (  0,  0,  2, -2,  1,  0, -8, 11,  0,  0,  0,  0,  0,  0 ) , { 128  7361.22 }
 (  0,  0, -1,  1,  0,  0,  8,-12,  0,  0,  0,  0,  0,  0 ) , { 127 -7366.99 }
 (  0,  0,  0,  0,  1,  0,  8,-13,  0,  0,  0,  0,  0,  0 ) , { 126 -7372.76 }
 ( -2,  0,  0,  2,  1,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , { 125  7480.88 }
 ( -2,  0,  0,  2,  1,  0,  0,  2,  0, -3,  1,  0,  0,  0 ) , { 124 -7819.78 }
 (  0,  0,  0,  0,  0,  0,  3, -5,  0,  2,  0,  0,  0,  0 ) , { 123  8084.76 }
 (  0,  0, -2,  2,  0,  1,  0, -2,  0,  0,  0,  0,  0,  0 ) , { 122  8197.03 }
 (  0,  0, -1,  1,  1,  0,  0,  0,  2,  0,  0,  0,  0,  0 ) , { 121 -8277.91 }
 (  0,  0,  0,  0,  2,  0,  0, -1,  2,  0,  0,  0,  0,  0 ) , { 120 -8285.20 }
 (  1,  0,  0, -1,  1,  0, -3,  4,  0,  0,  0,  0,  0,  0 ) , { 119 -8437.85 }
 (  1,  0,  0, -1,  1,  0,  0, -3,  4,  0,  0,  0,  0,  0 ) , { 118 -9135.68 }
 (  0,  0,  0,  0,  0,  0,  0, -9, 17,  0,  0,  0,  0,  2 ) , { 117  9435.79 }
 (  0,  0,  0,  0,  0,  0,  0,  9,-17,  0,  0,  0,  0,  0 ) , { 116 -9454.73 }
 ( -2,  0,  0,  2,  0,  0,  0,  5, -6,  0,  0,  0,  0,  0 ) , { 115 10180.74 }
 (  0,  0,  0,  0,  1,  0,  0,  7,-13,  0,  0,  0,  0,  0 ) , { 114 10624.74 }
 (  0,  0,  2, -2,  1,  0,  0, -9, 13,  0,  0,  0,  0,  0 ) , { 113 -10648.78 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  2 ) , { 112 10734.70 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  1 ) , { 111 10746.95 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0,  1,  0,  0,  0 ) , { 110 10746.94 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,  0 ) , { 109 10759.23 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0, -1,  0,  0,  0 ) , { 108 -10771.54 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, -1,  0,  0,  1 ) , { 107 -10771.53 }
 (  0,  0, -2,  2,  1,  0,  5, -6,  0,  0,  0,  0,  0,  0 ) , { 106 -10857.01 }
 (  2,  0,  0, -2,  1,  0, -6,  8,  0,  0,  0,  0,  0,  0 ) , { 105 -11119.33 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0, -2,  4,  0,  0,  0 ) , { 104 -11143.61 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0,  1,  0,  0,  0,  0 ) , { 103 11930.14 }
 (  0,  0,  0,  0,  1,  0,  0,  0,  0,  1,  0,  0,  0,  0 ) , { 102 11945.28 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  1,  0,  0,  0,  0 ) , { 101 11960.46 }
 (  0,  0,  2, -2,  1,  0,  0,-10, 15,  0,  0,  0,  0,  0 ) , { 100 12565.50 }
 (  0,  0,  0,  0,  1,  0,  0,  8,-15,  0,  0,  0,  0,  0 ) , {  99 -12599.14 }
 (  1,  0,  0, -2,  0,  0, 20,-21,  0,  0,  0,  0,  0,  0 ) , {  98 12715.06 }
 ( -1,  0,  1,  1,  1,  0,-20, 20,  0,  0,  0,  0,  0,  0 ) , {  97 -12732.26 }
 ( -1,  0,  0,  1,  0,  0,  0,  1,  0, -1,  0,  0,  0,  0 ) , {  96 12732.51 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -1, -5,  0,  0,  0 ) , {  95 -13015.70 }
 ( -2,  0,  0,  2,  0,  0,  0,  6, -8,  0,  0,  0,  0,  0 ) , {  94 -13286.25 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -3,  0,  0,  0,  0 ) , {  93 -13562.89 }
 ( -2,  0,  1,  1,  1,  0,  0,  1,  0, -3,  0,  0,  0,  0 ) , {  92 -13582.46 }
 ( -2,  0,  1,  1,  0,  0,  0,  1,  0, -3,  0,  0,  0,  0 ) , {  91 13611.10 }
 (  2,  0,  0, -2,  1,  0,  0, -2,  0,  3,  0,  0,  0,  0 ) , {  90 -13630.81 }
 (  2,  0,  0, -2,  1,  0,  0, -6,  8,  0,  0,  0,  0,  0 ) , {  89 -13922.14 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -5,  5,  0,  0,  0 ) , {  88 -14158.11 }
 (  2,  0,  0, -2,  0,  0,  2, -5,  0,  0,  0,  0,  0,  0 ) , {  87 14573.09 }
 (  1,  0, -1, -1,  0,  0,  0,  8,-15,  0,  0,  0,  0,  0 ) , {  86   -29.20 }
 (  0,  0,  0,  0,  0,  0,  0,  8,-15,  0,  0,  0,  0,  0 ) , {  85 14765.97 }
 (  0,  0,  1, -1,  1,  0,  0, -9, 15,  0,  0,  0,  0,  0 ) , {  84 -14789.17 }
 (  0,  0,  0,  0,  0,  0,  0, -8, 15,  0,  0,  0,  0,  1 ) , {  83 -14789.16 }
 (  0,  0,  0,  0,  0,  0,  0, -8, 15,  0,  0,  0,  0,  2 ) , {  82 -14812.42 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  2 ) , {  81 15294.40 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  0,  1 ) , {  80 15319.28 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0,  0,  2,  0,  0 ) , {  79 15319.27 }
 (  0,  0, -1,  1,  1,  0,  0,  1,  0,  1,  0,  0,  0,  0 ) , {  78 -15751.76 }
 (  0,  0,  0,  0,  2,  0,  0,  0,  0,  1,  0,  0,  0,  0 ) , {  77 -15778.17 }
 (  2,  0,  1, -3,  1,  0, -6,  7,  0,  0,  0,  0,  0,  0 ) , {  76 17462.20 }
 ( -2,  0,  0,  2,  0,  0,  6, -8,  0,  0,  0,  0,  0,  0 ) , {  75 -17494.65 }
 (  0,  0, -1,  1,  1,  0,  5, -7,  0,  0,  0,  0,  0,  0 ) , {  74 18150.92 }
 (  0,  0, -2,  2,  0,  0,  5, -6,  0,  0,  0,  0,  0,  0 ) , {  73 18185.99 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  0,  1,  0,  0,  0 ) , {  72 -18430.96 }
 (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  1,  0,  0,  0 ) , {  71 -18467.12 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0,  0,  1,  0,  0,  0 ) , {  70 -18503.42 }
 (  0,  0, -2,  2,  0,  0,  0,  9,-13,  0,  0,  0,  0,  0 ) , {  69 -18801.82 }
 ( -2,  0,  0,  2,  1,  0,  0,  5, -6,  0,  0,  0,  0,  0 ) , {  68 -20462.82 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  1, -3,  0,  0,  0 ) , {  67 -20870.14 }
 (  1,  0,  0, -2,  0,  0, 17,-16,  0, -2,  0,  0,  0,  0 ) , {  66 -22201.18 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  1, -2,  0,  0,  0 ) , {  65 22260.86 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0, -1,  2,  0,  0,  0 ) , {  64 -22313.63 }
 (  0,  0,  0,  0,  2,  0, -3,  5,  0,  0,  0,  0,  0,  0 ) , {  63 22862.07 }
 (  0,  0,  0,  0,  1,  0,  0, -9, 17,  0,  0,  0,  0,  0 ) , {  62 -24197.48 }
 (  0,  0,  1, -1,  2,  0,  0, -1,  0,  0,  2,  0,  0,  0 ) , {  61 25707.33 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  0,  2,  0,  0,  0 ) , {  60 25848.52 }
 ( -1,  0,  0,  1,  0,  0,  0,  3, -4,  0,  0,  0,  0,  0 ) , {  59 -26572.51 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  2 ) , {  58 29904.19 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2,  1 ) , {  57 29999.44 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0,  0,  0,  2,  0 ) , {  56 29999.38 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0 ) , {  55 30688.48 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  0,  0, -1,  0,  0 ) , {  54 -30788.86 }
 ( -2,  0,  2,  0,  2,  0,  0, -5,  9,  0,  0,  0,  0,  0 ) , {  53 32558.57 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -2, -2,  0,  0,  0 ) , {  52 -34711.74 }
 ( -1,  0,  0,  1,  0,  0,  3, -4,  0,  0,  0,  0,  0,  0 ) , {  51 -34989.31 }
 ( -1,  0,  1,  0,  1,  0,  3, -5,  0,  0,  0,  0,  0,  0 ) , {  50 -35119.86 }
 (  0,  0,  1, -1,  2,  0,  0, -2,  2,  0,  0,  0,  0,  0 ) , {  49 37731.74 }
 (  0,  0,  0,  0,  1,  0,  0, -1,  2,  0,  0,  0,  0,  0 ) , {  48 37883.60 }
 (  0,  0, -1,  1,  0,  0,  0,  0,  2,  0,  0,  0,  0,  0 ) , {  47 38036.68 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -4,  3,  0,  0,  0 ) , {  46 -38896.89 }
 (  0,  0,  0,  0,  1,  0,  3, -5,  0,  2,  0,  0,  0,  0 ) , {  45 -42727.33 }
 ( -2,  0,  0,  2,  0,  0,  0,  2,  0, -3,  1,  0,  0,  0 ) , {  44 52048.38 }
 ( -2,  0,  0,  2,  2,  0,  3, -3,  0,  0,  0,  0,  0,  0 ) , {  43 -74517.08 }
 ( -2,  0,  0,  2,  1,  0,  0,  2,  0, -4,  5,  0,  0,  0 ) , {  42 76428.18 }
 (  0,  0,  0,  0,  0,  0,  8,-13,  0,  0,  0,  0,  0,  1 ) , {  41 86464.27 }
 (  0,  0,  1, -1,  1,  0,  8,-14,  0,  0,  0,  0,  0,  0 ) , {  40 86463.79 }
 (  0,  0,  0,  0,  0,  0,  8,-13,  0,  0,  0,  0,  0,  0 ) , {  39 87265.40 }
 (  0,  0,  1, -1,  1,  0, -8, 12,  0,  0,  0,  0,  0,  0 ) , {  38 -88082.01 }
 (  0,  0,  0,  0,  0,  0, -8, 13,  0,  0,  0,  0,  0,  1 ) , {  37 -88081.52 }
 (  0,  0,  2, -2,  2,  0, -8, 11,  0,  0,  0,  0,  0,  0 ) , {  36 -88914.06 }
 (  0,  0,  0,  0,  0,  0, -8, 13,  0,  0,  0,  0,  0,  2 ) , {  35 -88913.04 }
 ( -1,  0,  0,  1,  1,  0,  0,  2, -2,  0,  0,  0,  0,  0 ) , {  34 -88997.81 }
 ( -1,  0,  1, -1,  1,  0, 18,-17,  0,  0,  0,  0,  0,  0 ) , {  33 98682.30 }
 ( -2,  0,  1,  1,  2,  0,  0,  1,  0, -2,  0,  0,  0,  0 ) , {  32 99100.94 }
 ( -1,  0,  0,  0,  0,  0, 18,-16,  0,  0,  0,  0,  0,  0 ) , {  31 99727.85 }
 ( -2,  0,  0,  2,  1,  0,  0,  2,  0, -2,  0,  0,  0,  0 ) , {  30 100155.42 }
 (  0,  0, -1,  1,  0,  0,  0,  1,  0,  1, -1,  0,  0,  0 ) , {  29 -107127.72 }
 (  0,  0,  0,  0,  0,  0,  3, -7,  4,  0,  0,  0,  0,  0 ) , {  28 110464.01 }
 ( -2,  0,  0,  2,  1,  0,  0,  2,  0,  0, -5,  0,  0,  0 ) , {  27 145247.83 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0, -4, 10,  0,  0,  0 ) , {  26 158588.31 }
 (  1,  0,  0, -1,  1,  0,  0, -1,  0,  2,  0,  0,  0,  0 ) , {  25 193201.80 }
 (  0,  0,  1, -1,  1,  0,  2, -4,  0, -3,  0,  0,  0,  0 ) , {  24 -199810.80 }
 (  1,  0,  0, -2,  0,  0, 19,-21,  3,  0,  0,  0,  0,  0 ) , {  23 -209413.55 }
 (  2,  0, -1, -1,  0,  0,  0,  3, -7,  0,  0,  0,  0,  0 ) , {  22 -237473.71 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0, -2,  5,  0,  0,  2 ) , {  21 301927.96 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0, -2,  5,  0,  0,  1 ) , {  20 311927.52 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0, -2,  5,  0,  0,  0 ) , {  19 311921.26 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2, -5,  0,  0,  0 ) , {  18 -322612.12 }
 (  0,  0,  1, -1,  1,  0,  0, -1,  0,  2, -5,  0,  0,  0 ) , {  17 -334061.84 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2, -5,  0,  0,  1 ) , {  16 -334054.65 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  2, -5,  0,  0,  2 ) , {  15 -346338.73 }
 (  0,  0,  0,  0,  0,  0, -5,  6,  4,  0,  0,  0,  0,  2 ) , {  14 -455742.40 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -8,  1,  5,  0,  0,  2 ) , {  13 562786.50 }
 (  0,  0,  0,  0,  0,  0,  0, -4,  8, -3,  0,  0,  0,  1 ) , {  12 609254.22 }
 (  0,  0,  1, -1,  1,  0,  0, -5,  8, -3,  0,  0,  0,  0 ) , {  11 609230.33 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -8,  3,  0,  0,  0,  0 ) , {  10 -651391.30 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0, -2,  6, -3,  0,  2 ) , {   9 -666209.90 }
 ( -1,  0,  0,  0,  0,  0, 10, -3,  0,  0,  0,  0,  0,  0 ) , {   8 -698321.32 }
 (  0,  0,  1, -1,  1,  0,  0,  3, -8,  3,  0,  0,  0,  0 ) , {   7 -699821.51 }
 (  0,  0,  0,  0,  0,  0,  0,  4, -8,  3,  0,  0,  0,  1 ) , {   6 -699789.98 }
 (  0,  0,  0,  0,  0,  0,  0, -4,  8, -1, -5,  0,  0,  2 ) , {   5 -739551.32 }
 (  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, -1,  2,  2 ) , {   4 1170120.04 }
 (  0,  0,  0,  0,  0,  0,  0,  8,-16,  4,  5,  0,  0,  2 ) , {   3 4137408.11 }
 (  0,  0,  0,  0,  0,  0,  0, -8, 16, -4, -5,  0,  0,  2 ) , {   2 5464350.67 }
 (  0,  0,  0,  0,  0,  0,  0,  8,-16,  4,  5,  0,  0,  0 ) {   1 34075700.82 }
 ) ;
   AmplPlan  : Array [1..687,1..4] of Integer =
 { amplitudes psi(sin,cos),epsilon(cos,sin) number of term and period in day}
 ( (     3,     0,     0,    -1 ) , { 687         6.85 }
   (     3,     0,     0,    -1 ) , { 686         8.99 }
   (     7,     0,     0,    -3 ) , { 685         9.11 }
   (    13,     0,     0,    -6 ) , { 684         9.12 }
   (     4,     0,    -1,    -2 ) , { 683         6.73 }
   (   -24,   -12,    -5,    10 ) , { 682        13.17 }
   (     0,     3,     2,     0 ) , { 681         9.13 }
   (     0,     3,     1,     0 ) , { 680         9.13 }
   (     0,     3,     1,     0 ) , { 679         9.13 }
   (    24,   -12,    -5,   -11 ) , { 678         6.64 }
   (    -5,     0,     0,     2 ) , { 677         9.14 }
   (    -3,     0,     0,     1 ) , { 676         9.28 }
   (     3,     0,     0,    -1 ) , { 675         9.79 }
   (    -3,     0,     0,     1 ) , { 674        13.05 }
   (    -6,     0,     0,     3 ) , { 673        13.21 }
   (     8,     0,     0,    -4 ) , { 672        13.35 }
   (     0,     3,     1,     0 ) , { 671        13.53 }
   (    -3,     0,     0,     1 ) , { 670        13.63 }
   (   -21,   -11,    -6,    11 ) , { 669        25.13 }
   (     0,    -4,     0,     0 ) , { 668        13.63 }
   (    21,   -11,    -6,   -11 ) , { 667         9.54 }
   (     3,     0,     0,    -1 ) , { 666        13.65 }
   (  -126,   -63,   -27,    55 ) , { 665        27.09 }
   (     0,     9,     4,    -1 ) , { 664        13.66 }
   (     0,     9,     4,     1 ) , { 663        13.66 }
   (     5,     0,     1,    -2 ) , { 662         8.91 }
   (    -3,    28,    15,     2 ) , { 661        13.66 }
   (    -5,     0,     1,     2 ) , { 660        13.66 }
   (   126,   -63,   -27,   -55 ) , { 659         8.91 }
   (     0,    -3,    -2,     0 ) , { 658        13.69 }
   (    -3,     0,     0,     0 ) , { 657        13.75 }
   (     0,     3,     1,     0 ) , { 656        13.79 }
   (    -8,     0,     0,     3 ) , { 655        13.99 }
   (     6,     0,     0,    -3 ) , { 654        14.15 }
   (     3,     0,     0,    -1 ) , { 653        14.33 }
   (     4,     0,     0,     0 ) , { 652       -15.33 }
   (     3,     0,     0,     0 ) , { 651       -15.55 }
   (     3,     0,     0,     0 ) , { 650        25.77 }
   (    -4,     0,     0,     0 ) , { 649        26.31 }
   (    -6,     0,     0,     3 ) , { 648        27.21 }
   (    -3,     0,     0,     1 ) , { 647        27.30 }
   (     3,     0,     0,    -2 ) , { 646       -27.33 }
   (   -19,     0,     0,     0 ) , { 645        27.34 }
   (   -34,     0,     0,     0 ) , { 644        27.44 }
   (    20,    10,     0,     0 ) , { 643       199.44 }
   (    -3,     0,     0,     2 ) , { 642        27.55 }
   (     0,    -5,     0,     0 ) , { 641       -27.55 }
   (     0,     5,     3,     0 ) , { 640        27.55 }
   (     0,    -5,    -2,     0 ) , { 639       -27.55 }
   (     0,    -5,     0,     0 ) , { 638        27.56 }
   (    21,    11,     0,     0 ) , { 637       -14.75 }
   (    13,     0,     0,     0 ) , { 636        27.61 }
   (     0,     3,     0,     0 ) , { 635        27.67 }
   (     4,     0,     0,     0 ) , { 634        28.69 }
   (    -5,     0,     0,     0 ) , { 633       -28.92 }
   (     4,     0,     0,     0 ) , { 632       -29.60 }
   (    -3,     0,     0,     0 ) , { 631       -31.74 }
   (     5,     0,     0,     0 ) , { 630      -205.83 }
   (     0,    -4,     0,     0 ) , { 629       -31.81 }
   (     0,    -4,     0,     0 ) , { 628        31.81 }
   (     6,     0,     0,     0 ) , { 627       -31.97 }
   (     4,     0,     0,     0 ) , { 626       -32.10 }
   (    -4,     0,     0,     0 ) , { 625       -33.64 }
   (     7,     0,     0,     0 ) , { 624       -34.57 }
   (     6,     0,     0,     0 ) , { 623       -35.70 }
   (    -3,     0,     0,     0 ) , { 622       -37.85 }
   (     3,     0,     0,    -1 ) , { 621   4709189.08 }
   (     5,     0,     0,    -2 ) , { 620        60.88 }
   (     0,     3,     1,     0 ) , { 619        60.88 }
   (     6,     0,     0,     0 ) , { 618        60.88 }
   (     6,     0,     0,    -3 ) , { 617        60.88 }
   (     0,     4,     2,     0 ) , { 616        60.88 }
   (     8,     0,     0,     0 ) , { 615        60.88 }
   (     0,     0,     0,    -4 ) , { 614        60.88 }
   (     2,     9,     4,     3 ) , { 613        60.88 }
   (     0,    -3,    -2,     0 ) , { 612        63.49 }
   (    13,     0,     0,     0 ) , { 611        64.88 }
   (     0,     5,     3,     0 ) , { 610       -64.88 }
   (     0,     0,     0,    -5 ) , { 609       -64.88 }
   (     0,     0,    -1,     0 ) , { 608       -64.88 }
   (    14,    -3,     0,    -1 ) , { 607        71.23 }
   (     0,    -5,    -3,     0 ) , { 606        71.23 }
   (    19,     0,     0,     0 ) , { 605        72.99 }
   (     0,     7,     4,     0 ) , { 604       -72.99 }
   (    17,    -3,    -1,     0 ) , { 603        74.90 }
   (     3,    12,     5,    -1 ) , { 602        75.60 }
   (    -9,     0,     1,     4 ) , { 601        76.94 }
   (    -3,     0,     0,     1 ) , { 600        78.33 }
   (     0,     3,     0,     0 ) , { 599        81.13 }
   (     0,     0,    -2,     0 ) , { 598        81.13 }
   (     8,    -4,     0,    -4 ) , { 597        81.13 }
   (     0,    -7,    -4,     0 ) , { 596        81.13 }
   (    28,     0,     0,     0 ) , { 595        83.42 }
   (     0,     9,     5,    -1 ) , { 594       -83.42 }
   (     0,     3,     2,     0 ) , { 593        85.92 }
   (     0,     0,     0,   -10 ) , { 592        85.92 }
   (    19,   -23,   -10,     2 ) , { 591        85.92 }
   (     0,     3,     1,     0 ) , { 590        88.49 }
   (     0,     4,     0,     0 ) , { 589        91.22 }
   (     3,    -4,     0,     0 ) , { 588        91.31 }
   (     0,    -8,    -4,     0 ) , { 587        92.78 }
   (    -7,     0,     0,     3 ) , { 586        92.89 }
   (    -3,   -32,   -14,     1 ) , { 585        93.28 }
   (    31,    -6,     0,   -13 ) , { 584        94.22 }
   (     0,   -10,    -6,    -1 ) , { 583        94.22 }
   (    -3,     0,     0,     0 ) , { 582        94.22 }
   (    -3,     0,     0,     1 ) , { 581        94.30 }
   (  -184,    -3,    -1,    80 ) , { 580        95.33 }
   (     0,    -3,    -2,     0 ) , { 579        97.32 }
   (    40,     0,     0,     0 ) , { 578        97.32 }
   (     3,    13,     7,    -2 ) , { 577       -97.32 }
   (   -37,    -7,    -3,    16 ) , { 576        97.48 }
   (    -5,     0,     0,     2 ) , { 575        99.72 }
   (     0,     5,     3,     0 ) , { 574      -100.63 }
   (    34,     0,     0,   -15 ) , { 573      -100.63 }
   (     4,    17,     7,    -2 ) , { 572       100.74 }
   (     0,     9,     4,     0 ) , { 571       104.29 }
   (   -10,     0,     0,     4 ) , { 570       107.27 }
   (     0,     6,     0,     0 ) , { 569       108.11 }
   (    -6,     3,     1,     3 ) , { 568       109.30 }
   (     0,     3,     1,     0 ) , { 567       111.42 }
   (     0,     0,    -3,     0 ) , { 566       111.42 }
   (   370,    -8,     0,  -160 ) , { 565       112.35 }
   (     4,   -15,    -8,    -2 ) , { 564       112.35 }
   (    -3,     0,     0,     0 ) , { 563       112.35 }
   (    -8,     0,     0,     4 ) , { 562       116.78 }
   (     0,    -4,    -2,     0 ) , { 561       116.78 }
   (    59,     0,     0,     0 ) , { 560       116.78 }
   (     4,    17,     9,    -2 ) , { 559      -116.79 }
   (     0,     4,     2,     0 ) , { 558       116.94 }
   (    -5,   -11,    -5,     2 ) , { 557       118.42 }
   (    -4,     4,     2,     2 ) , { 556       119.23 }
   (     0,     3,     1,     0 ) , { 555      -121.59 }
   (     0,     7,     4,     0 ) , { 554      -121.58 }
   (    50,     0,     0,   -22 ) , { 553      -121.59 }
   (   -22,    12,     5,    10 ) , { 552       121.73 }
   (     0,     4,     2,     0 ) , { 551       121.75 }
   (    -3,     0,     0,     1 ) , { 550       121.75 }
   (   -25,     0,     0,    11 ) , { 549       121.77 }
   (     5,    12,     5,    -2 ) , { 548       121.79 }
   (    -6,     0,     0,     3 ) , { 547       121.92 }
   (    -4,     0,     0,     2 ) , { 546       123.00 }
   (    29,     0,     0,   -13 ) , { 545       123.14 }
   (   143,    -3,    -1,   -62 ) , { 544       124.38 }
   (     0,    -7,    -3,     0 ) , { 543       124.57 }
   (   517,    16,     7,  -224 ) , { 542       125.27 }
   (     0,     0,     0,    23 ) , { 541       125.27 }
   (     0,  -114,   -50,     0 ) , { 540       126.97 }
   (     0,     0,     0,     0 ) , { 539       126.98 }
   (    30,   -18,    -8,   -13 ) , { 538       127.12 }
   (    67,   -91,   -39,   -29 ) , { 537       129.00 }
   (    -4,   -12,     0,     0 ) , { 536       129.00 }
   (     6,    -9,    -4,    -2 ) , { 535       129.99 }
   (     0,     9,     0,     0 ) , { 534       132.67 }
   (     3,     0,     0,    -1 ) , { 533      -132.67 }
   (    -8,     0,     0,     4 ) , { 532       132.87 }
   (     9,   -11,    -5,    -4 ) , { 531       132.96 }
   (    18,    -3,     0,     0 ) , { 530       132.96 }
   (     0,    -4,    -2,     0 ) , { 529       132.98 }
   (     3,     0,     0,    -1 ) , { 528       136.32 }
   (     5,     0,     0,     0 ) , { 527       137.17 }
   (     0,   -10,    -5,     0 ) , { 526      -138.90 }
   (  -339,     0,     0,   147 ) , { 525       139.11 }
   (     5,   -23,   -12,    -3 ) , { 524       139.12 }
   (    -4,     0,     0,     0 ) , { 523       139.12 }
   (     3,     0,     0,    -1 ) , { 522      -141.66 }
   (     3,     0,     1,    -1 ) , { 521       144.27 }
   (    11,    -3,    -1,    -5 ) , { 520       145.98 }
   (     0,   -10,    -5,     0 ) , { 519       145.98 }
   (    83,     0,     0,     0 ) , { 518       145.98 }
   (     6,    24,    13,    -3 ) , { 517      -145.98 }
   (    19,     0,     0,    -8 ) , { 516       147.97 }
   (    26,   -14,    -6,   -11 ) , { 515       151.87 }
   (    -3,    12,     6,     2 ) , { 514      -153.56 }
   (    74,     0,     0,   -32 ) , { 513      -153.56 }
   (     3,    -4,    -2,    -1 ) , { 512       153.82 }
   (    -3,     0,     0,     2 ) , { 511       153.82 }
   (     7,   -12,    -5,    -3 ) , { 510       155.98 }
   (     0,    -7,    -3,     0 ) , { 509       160.32 }
   (     5,  -173,   -75,    -2 ) , { 508       162.26 }
   (     6,    19,     0,     0 ) , { 507       162.26 }
   (     0,    -4,    -2,     0 ) , { 506       164.91 }
   (     0,    -7,    -3,     0 ) , { 505       166.77 }
   (     3,     0,     0,    -1 ) , { 504       168.42 }
   (     3,    10,     4,    -1 ) , { 503       171.67 }
   (     0,     8,     0,     0 ) , { 502       171.67 }
   (     3,     0,     0,    -2 ) , { 501      -171.68 }
   (     0,    -3,    -1,     0 ) , { 500      -171.68 }
   (   -21,   -32,   -14,     9 ) , { 499       171.74 }
   (   -63,   -16,    -7,    28 ) , { 498       172.01 }
   (   163,   -12,    -5,   -72 ) , { 497       175.23 }
   (   -85,   -70,   -31,    37 ) , { 496       177.01 }
   (     0,     4,     2,     0 ) , { 495       177.80 }
   (     0,     3,     0,     0 ) , { 494       177.85 }
   (     0,     4,     2,     0 ) , { 493       177.89 }
   (    -3,     0,     0,     1 ) , { 492       178.59 }
   (     0,   -19,    -8,     0 ) , { 491       179.57 }
   (   -11,     5,     2,     5 ) , { 490        33.20 }
   (   -62,   -97,   -42,    27 ) , { 489      -182.25 }
   (     3,     0,     0,    -1 ) , { 488      -182.25 }
   (     0,   -15,    -7,     0 ) , { 487      -182.25 }
   (   -13,     9,     4,     6 ) , { 486       182.32 }
   (    12,    -6,    -3,    -5 ) , { 485       182.52 }
   (     0,    -3,    -1,     0 ) , { 484       182.57 }
   (  -123,  -416,  -180,    53 ) , { 483       182.57 }
   (     0,     0,   -19,     6 ) , { 482       182.57 }
   (     0,   -86,   -19,    -6 ) , { 481       182.62 }
   (   -89,     0,     0,    38 ) , { 480       182.62 }
   (     0,    -4,     2,     0 ) , { 479       182.62 }
   (     0,    -9,    -5,     0 ) , { 478       182.62 }
   (     7,   -32,   -17,    -4 ) , { 477       182.62 }
   (    -5,     0,     0,     0 ) , { 476       182.63 }
   (     0,     0,     0,   -35 ) , { 475       182.63 }
   (   123,  -415,  -180,   -53 ) , { 474       182.67 }
   (     0,    -3,    -1,     0 ) , { 473       182.67 }
   (   -11,    -6,    -3,     5 ) , { 472       182.72 }
   (    14,     9,     4,    -6 ) , { 471       182.92 }
   (    61,   -96,   -42,   -27 ) , { 470       183.00 }
   (    11,     5,     2,    -5 ) , { 469       184.91 }
   (     0,   -20,    -9,     0 ) , { 468       185.77 }
   (    80,   -71,   -31,   -35 ) , { 467       188.60 }
   (     0,     9,     0,     0 ) , { 466       188.60 }
   (     0,     4,     2,     0 ) , { 465       189.04 }
   (    15,     0,     0,     0 ) , { 464       189.05 }
   (  -154,   -30,   -13,    67 ) , { 463       190.66 }
   (     0,    35,     0,     0 ) , { 462       190.67 }
   (     3,     0,     0,    -1 ) , { 461       191.04 }
   (     0,     3,     0,     0 ) , { 460       192.43 }
   (    54,   -15,    -7,   -24 ) , { 459       194.63 }
   (     3,    12,     6,    -1 ) , { 458       194.64 }
   (    89,     0,     0,     0 ) , { 457       194.64 }
   (     8,    34,    18,    -4 ) , { 456      -194.64 }
   (    18,   -29,   -13,    -8 ) , { 455       194.98 }
   (     8,     0,     0,     0 ) , { 454       194.98 }
   (    -3,     8,     4,     1 ) , { 453       195.07 }
   (    -6,     0,    -1,     3 ) , { 452       199.43 }
   (    -4,    21,    11,     2 ) , { 451       199.44 }
   (   393,     3,     0,     0 ) , { 450       199.44 }
   (     0,    -6,    -2,     0 ) , { 449       201.80 }
   (     3,     0,     0,     0 ) , { 448       201.81 }
   (     0,    -3,    -1,     0 ) , { 447       204.60 }
   (    -3,     0,     0,     2 ) , { 446       205.47 }
   (    -3,     0,     0,     0 ) , { 445       208.34 }
   (    -5,    19,    10,     2 ) , { 444      -208.35 }
   (   117,     0,     0,   -51 ) , { 443      -208.35 }
   (     0,  -114,   -49,     0 ) , { 442       208.83 }
   (    -4,     0,     0,     2 ) , { 441       208.84 }
   (    83,    15,     0,     0 ) , { 440       209.07 }
   (     0,    -6,    -2,     0 ) , { 439       212.13 }
   (    11,     4,     0,     0 ) , { 438       219.67 }
   (    17,     0,     0,    -7 ) , { 437      -219.68 }
   (    -5,    -9,    -4,     2 ) , { 436       220.23 }
   (    -3,     0,     0,     1 ) , { 435      -224.13 }
   (    -5,     6,     3,     2 ) , { 434       224.69 }
   (    -4,   -28,     0,     0 ) , { 433       224.70 }
   (   -18,   -10,    -4,     8 ) , { 432       228.98 }
   (     5,     0,     0,    -2 ) , { 431      -231.41 }
   (   -13,     0,     0,     6 ) , { 430       238.46 }
   (     0,    -3,     0,     0 ) , { 429       243.16 }
   (     5,     0,     0,    -2 ) , { 428      -243.17 }
   (     0,    -4,    -2,     0 ) , { 427      -243.18 }
   (    -3,     0,     0,     1 ) , { 426       243.83 }
   (    27,     0,     0,     0 ) , { 425       259.98 }
   (     4,     0,     0,    -2 ) , { 424      -264.94 }
   (     0,   -24,   -10,     0 ) , { 423      -264.95 }
   (   113,     0,     0,   -49 ) , { 422       265.73 }
   (     0,     3,     1,     0 ) , { 421       265.73 }
   (     8,   -31,   -16,    -4 ) , { 420       265.73 }
   (     8,    -3,     0,     0 ) , { 419      -265.74 }
   (    16,    -6,     0,     0 ) , { 418       272.26 }
   (     4,     0,     0,    -2 ) , { 417      -279.94 }
   (     5,    -7,     0,     0 ) , { 416       285.76 }
   (     3,     0,     0,    -1 ) , { 415      -285.77 }
   (    -5,    -7,    -3,     2 ) , { 414       291.51 }
   (    -3,   -13,    -7,     1 ) , { 413       291.95 }
   (  -598,     0,     0,     0 ) , { 412       291.96 }
   (     0,     5,     3,     0 ) , { 411      -291.97 }
   (    12,    55,    29,    -6 ) , { 410      -291.97 }
   (     0,    -5,     0,     0 ) , { 409       300.66 }
   (     3,     0,     0,    -1 ) , { 408      -300.68 }
   (     6,     0,     0,    -3 ) , { 407       305.06 }
   (    -3,    -5,    -2,     1 ) , { 406       306.89 }
   (   -35,   -48,   -21,    15 ) , { 405       312.54 }
   (     1,     0,     0,     0 ) , { 404      -317.06 }
   (     0,    -3,     0,     0 ) , { 403      -398.88 }
   (     5,     0,     0,    -3 ) , { 402       320.93 }
   (    16,    -5,     0,     0 ) , { 401       323.92 }
   (     0,     4,     2,     0 ) , { 400      -323.93 }
   (    -8,    35,    19,     5 ) , { 399      -323.93 }
   (   202,     0,     0,   -87 ) , { 398      -323.94 }
   (   -19,    -8,    -4,     8 ) , { 397       324.15 }
   (     0,   -27,   -12,     0 ) , { 396       325.10 }
   (    -7,     0,     0,     4 ) , { 395       325.11 }
   (     0,    -4,     0,     0 ) , { 394      -325.13 }
   (  -262,     0,     0,   114 ) , { 393       336.83 }
   (     0,     3,     2,     0 ) , { 392       336.85 }
   (     8,    11,     0,     0 ) , { 391       336.86 }
   (     4,     0,     0,    -2 ) , { 390      -340.15 }
   (     0,    -3,    -1,     0 ) , { 389       342.01 }
   (   -74,     0,     0,    32 ) , { 388       343.46 }
   (     6,     0,     0,     0 ) , { 387       343.49 }
   (   -14,     0,     0,     6 ) , { 386       353.24 }
   (    -1,     0,     0,     0 ) , { 385       359.36 }
   (    -8,     0,     0,     0 ) , { 384      -363.73 }
   (    -6,     0,     0,     2 ) , { 383      -363.76 }
   (     0,     5,     2,     0 ) , { 382       364.82 }
   (    -4,     0,     0,     2 ) , { 381       365.02 }
   (   -19,   -11,     0,     0 ) , { 380      -365.05 }
   (     8,   -27,     0,     0 ) , { 379       365.26 }
   (    -4,     0,     0,     2 ) , { 378      -365.27 }
   (    -3,     0,     0,     1 ) , { 377       365.43 }
   (    21,     3,     0,     0 ) , { 376       365.46 }
   (   -13,   -30,     0,     0 ) , { 375       365.67 }
   (    -3,     0,     0,     1 ) , { 374       366.76 }
   (     3,     0,     0,    -2 ) , { 373      -368.81 }
   (    11,     0,     0,    -6 ) , { 372      -376.78 }
   (   -75,     0,     0,     0 ) , { 371       378.09 }
   (  -368,     0,     0,     0 ) , { 370       389.97 }
   (    -6,    20,     0,     0 ) , { 369       391.86 }
   (     0,     3,     2,     0 ) , { 368      -392.62 }
   (     3,     0,     0,     0 ) , { 367       398.39 }
   (     0,     7,     3,     0 ) , { 366       398.87 }
   ( -1223,   -26,     0,     0 ) , { 365       398.88 }
   (     0,    -4,    -2,     0 ) , { 364      -398.90 }
   (    -3,     0,     0,     0 ) , { 363       399.38 }
   (    -3,     0,     0,     0 ) , { 362       406.67 }
   (     0,     3,     1,     0 ) , { 361      -412.66 }
   (     5,     0,     0,    -2 ) , { 360       413.70 }
   (     3,     0,     0,    -2 ) , { 359       416.67 }
   (    -5,   328,     0,     0 ) , { 358       416.69 }
   (     7,     0,     0,    -4 ) , { 357      -416.71 }
   (     0,    -5,    -2,     0 ) , { 356      -416.73 }
   (   -78,    45,     0,     0 ) , { 355       418.27 }
   (    10,     0,     0,    -4 ) , { 354       418.65 }
   (    15,     0,     0,    -8 ) , { 353       423.75 }
   (  -166,   269,     0,     0 ) , { 352       439.33 }
   (    -5,     0,     0,     2 ) , { 351      -439.37 }
   (     0,    -4,    -2,     0 ) , { 350       443.90 }
   (   -16,    23,     0,     0 ) , { 349       450.99 }
   (     6,     0,     0,    -2 ) , { 348      -451.04 }
   (    11,     0,     0,    -6 ) , { 347       455.00 }
   (     0,    -4,    -2,    -1 ) , { 346       469.68 }
   (     0,    -3,     0,     0 ) , { 345       484.98 }
   (     9,     0,     0,    -5 ) , { 344      -485.00 }
   (     0,   -45,   -20,     0 ) , { 343      -485.03 }
   (  -458,     0,     0,   198 ) , { 342       487.64 }
   (     0,     9,     5,     1 ) , { 341       487.66 }
   (    14,   -59,   -31,    -8 ) , { 340       487.66 }
   (     5,    -5,     0,     0 ) , { 339      -487.69 }
   (   -28,    36,     0,     0 ) , { 338       488.91 }
   (     0,    -5,    -3,     0 ) , { 337      -488.93 }
   (   118,     0,     0,   -52 ) , { 336      -488.96 }
   (     0,    11,     0,     0 ) , { 335       489.27 }
   (     5,     3,     1,    -2 ) , { 334      -489.33 }
   (    -3,     0,     0,     0 ) , { 333       501.67 }
   (     0,    -3,    -1,     0 ) , { 332       505.99 }
   (     4,     0,     0,    -2 ) , { 331      -526.85 }
   (     0,     3,     0,     0 ) , { 330      -534.66 }
   (     0,     4,     2,    -1 ) , { 329      -534.72 }
   (   -19,     0,     0,    10 ) , { 328      -537.73 }
   (    -4,     4,     0,     0 ) , { 327       551.10 }
   (    30,    -6,    -2,   -13 ) , { 326      -551.16 }
   (    -6,    -3,    -2,     3 ) , { 325       554.68 }
   (     0,     5,     3,     0 ) , { 324       583.89 }
   (    -7,   -32,   -17,     4 ) , { 323       583.89 }
   (  1485,     0,     0,     0 ) , { 322       583.92 }
   (     5,    21,    11,    -3 ) , { 321      -583.96 }
   (    25,   106,    57,   -13 ) , { 320      -583.96 }
   (    -3,     0,     0,     1 ) , { 319      -583.99 }
   (     0,     3,     1,     0 ) , { 318      -589.40 }
   (   -11,     0,     0,     5 ) , { 317       613.74 }
   (     0,     3,     0,     0 ) , { 316      -613.82 }
   (     5,     0,     0,    -2 ) , { 315      -631.49 }
   (   -28,     0,     0,    15 ) , { 314       638.79 }
   (     0,    -3,     0,     0 ) , { 313       638.83 }
   (     2,     1,     0,     0 ) , { 312       686.98 }
   (    -5,     0,     0,     0 ) , { 311      -698.43 }
   (   -46,    14,     0,     0 ) , { 310       727.47 }
   (    -3,    13,     7,     2 ) , { 309      -727.52 }
   (    -7,    28,    15,     4 ) , { 308      -727.52 }
   (   -22,    93,    49,    12 ) , { 307      -727.52 }
   (   490,     0,     0,  -213 ) , { 306      -727.58 }
   (     3,    66,    29,    -1 ) , { 305       733.47 }
   (     3,     0,     0,    -1 ) , { 304       733.53 }
   (   -12,    -3,    -2,     6 ) , { 303       733.53 }
   (   -25,     0,     0,     0 ) , { 302       779.94 }
   (     0,    -4,     0,     0 ) , { 301       814.71 }
   (    27,     0,     0,   -14 ) , { 300      -814.78 }
   (   -68,    39,     0,     0 ) , { 299       901.98 }
   (     4,     0,     0,     0 ) , { 298       925.73 }
   (     0,    -3,    -2,     0 ) , { 297      -964.70 }
   (   -16,    -3,    -1,     7 ) , { 296      -964.79 }
   (    -3,    -6,    -2,     1 ) , { 295       975.18 }
   (    -4,     0,     0,     2 ) , { 294       975.28 }
   (    22,   -87,     0,     0 ) , { 293      -975.38 }
   (    -4,     0,     0,     2 ) , { 292      -975.48 }
   (   -10,     0,     1,     5 ) , { 291      -975.48 }
   (   -20,    34,     0,     0 ) , { 290      1069.32 }
   (     0,    -3,    -2,    -1 ) , { 289     -1069.44 }
   (    17,     0,     0,    -7 ) , { 288     -1069.56 }
   (    -9,     3,     1,     4 ) , { 287      1082.90 }
   (     0,     3,     1,     0 ) , { 286      1138.76 }
   (     0,    -5,    -2,     0 ) , { 285      1152.52 }
   (     7,     0,     0,    -4 ) , { 284      1190.85 }
   (     0,    19,    10,     0 ) , { 283     -1198.45 }
   (     0,    22,     0,     0 ) , { 282      1312.88 }
   (     3,     0,     0,    -2 ) , { 281     -1313.06 }
   (    16,     9,     4,    -7 ) , { 280     -1313.24 }
   (     5,     0,     0,     0 ) , { 279     -1322.72 }
   (    -6,   -10,    -4,     3 ) , { 278      1440.56 }
   (     3,     5,     0,     0 ) , { 277     -1441.00 }
   (  -127,    21,     9,    55 ) , { 276      1443.75 }
   (     0,     6,     3,    -1 ) , { 275      1443.98 }
   (    -3,    -9,    -5,     2 ) , { 274      1443.97 }
   (     6,    17,     9,    -3 ) , { 273      1443.98 }
   (     3,    -3,    -1,    -2 ) , { 272      1454.71 }
   (     8,   614,     0,     0 ) , { 271      1454.94 }
   (    18,     0,     0,    -9 ) , { 270     -1455.16 }
   (    30,    -3,    -2,   -16 ) , { 269     -1455.16 }
   (     5,   -11,    -5,    -2 ) , { 268     -1455.39 }
   (    24,     5,     2,   -11 ) , { 267      1479.14 }
   (     0,     5,     3,     1 ) , { 266      1479.37 }
   (    13,     0,     0,     0 ) , { 265     -1581.46 }
   (     0,    -5,    -3,     0 ) , { 264      1616.03 }
   (    50,     0,     0,   -27 ) , { 263      1642.24 }
   (    -3,    16,     0,     0 ) , { 262     -1642.53 }
   (     7,    13,     0,     0 ) , { 261      1700.12 }
   (     3,     0,     0,    -1 ) , { 260     -1700.42 }
   (     8,    12,     5,    -3 ) , { 259     -1700.73 }
   (     0,   -32,   -17,     0 ) , { 258      1851.09 }
   (     3,     0,     0,     0 ) , { 257      1851.46 }
   (   -24,   -13,    -6,    10 ) , { 256      1920.55 }
   (    -4,     0,     0,     2 ) , { 255      1920.94 }
   (     4,     0,     0,    -2 ) , { 254      1920.94 }
   (    -5,     0,     1,     3 ) , { 253      1920.94 }
   (     0,    31,     0,     0 ) , { 252     -1921.34 }
   (    -5,     0,     0,     2 ) , { 251     -2014.61 }
   (     3,     0,     0,    -2 ) , { 250      2023.12 }
   (    -4,     8,     4,     2 ) , { 249     -2023.99 }
   (   117,     0,     0,   -63 ) , { 248      2060.86 }
   (     0,    -4,     0,     0 ) , { 247     -2061.31 }
   (    -8,     0,     1,     4 ) , { 246     -2061.76 }
   (    -6,     0,     0,     3 ) , { 245      2150.86 }
   (    -5,     0,     0,     2 ) , { 244      2165.30 }
   ( -1166,     0,     0,   505 ) , { 243      2165.30 }
   (     9,    49,    26,    -5 ) , { 242      2165.80 }
   (   -27,  -143,   -77,    14 ) , { 241      2165.80 }
   (    42,   223,   119,   -22 ) , { 240      2165.80 }
   (   -25,    22,     0,     0 ) , { 239      2166.29 }
   (     7,     0,     0,    -3 ) , { 238      2179.93 }
   (     0,     3,     2,    -1 ) , { 237     -2268.15 }
   (    -3,     0,     0,     0 ) , { 236      2310.49 }
   (    16,     0,     0,    -9 ) , { 235     -2337.20 }
   (     5,     3,     0,     0 ) , { 234      2401.56 }
   (    -4,    10,     4,     2 ) , { 233     -2402.79 }
   (     9,     6,     0,     0 ) , { 232      2411.36 }
   (     0,    11,     5,     0 ) , { 231     -2412.59 }
   (    -3,     0,     0,     1 ) , { 230      2644.70 }
   (     0,     4,     0,     0 ) , { 229     -2645.44 }
   (     4,    15,     8,    -2 ) , { 228     -2646.18 }
   (     0,    -6,    -2,     0 ) , { 227     -2646.93 }
   (   -14,   -39,     0,     0 ) , { 226      2862.15 }
   (    57,    11,     6,   -30 ) , { 225     -2863.02 }
   (   140,    27,    14,   -75 ) , { 224     -2863.02 }
   (    31,     6,     3,   -17 ) , { 223     -2863.02 }
   (     0,     7,     3,     0 ) , { 222     -2863.89 }
   (     0,    12,     5,     0 ) , { 221     -2863.89 }
   (   -11,  -268,  -116,     5 ) , { 220     -2863.89 }
   (   -51,     0,     0,    22 ) , { 219      2880.24 }
   (    -8,    12,     6,     4 ) , { 218      2881.12 }
   (     9,   -13,    -7,    -5 ) , { 217      2881.12 }
   (    -6,     9,     5,     3 ) , { 216      2881.12 }
   (   -86,   153,     0,     0 ) , { 215     -2882.00 }
   (     3,     0,     0,    -2 ) , { 214     -2882.89 }
   (     4,     0,     0,    -2 ) , { 213     -2882.89 }
   (    85,     0,     0,   -37 ) , { 212      2957.35 }
   (   -12,     0,     0,     5 ) , { 211      2957.35 }
   ( -2150,     0,     0,   932 ) , { 210      2957.35 }
   (    11,   -49,   -26,    -7 ) , { 209      2958.28 }
   (   -10,    40,    21,     5 ) , { 208      2958.28 }
   (  -145,    47,     0,     0 ) , { 207     -2959.21 }
   (    -3,    -9,    -5,     3 ) , { 206     -2960.14 }
   (    -9,   -14,    -8,     5 ) , { 205     -2960.14 }
   (     8,     0,     0,    -4 ) , { 204      3001.26 }
   (    -4,     9,     0,     0 ) , { 203     -3002.22 }
   (     0,     4,     0,     0 ) , { 202     -3118.27 }
   (   -37,    35,    19,    20 ) , { 201     -3119.31 }
   (    -7,     0,     0,     3 ) , { 200     -3120.34 }
   (     0,    10,     4,     0 ) , { 199      3178.33 }
   (    54,     0,     0,   -29 ) , { 198     -3287.61 }
   (     0,    -7,    -3,     0 ) , { 197     -3381.55 }
   (     0,    -7,    -3,     0 ) , { 196     -3417.02 }
   (  -138,     0,     0,     0 ) , { 195      3561.66 }
   (     0,    15,     7,     0 ) , { 194      3583.68 }
   (     8,    -4,    -2,    -4 ) , { 193      3585.04 }
   (    -8,     4,     2,     4 ) , { 192      3585.04 }
   (    -4,     0,     0,     0 ) , { 191      3626.73 }
   (    -4,     0,     0,     0 ) , { 190      3680.33 }
   (     0,     8,     4,     1 ) , { 189     -3716.24 }
   (     0,     8,     4,     0 ) , { 188     -3739.75 }
   (     3,     0,     0,    -2 ) , { 187     -4076.33 }
   (    10,     0,     0,     0 ) , { 186      4145.70 }
   (    -4,     8,     3,     2 ) , { 185     -4149.35 }
   (    -4,     0,     0,     0 ) , { 184     -4164.18 }
   (     0,     5,     3,     0 ) , { 183     -4166.02 }
   (    -3,     0,     0,     1 ) , { 182     -4167.86 }
   (    52,    23,    10,   -23 ) , { 181      4328.61 }
   (     0,     5,     3,     0 ) , { 180      4330.60 }
   (    -6,   -47,   -25,     3 ) , { 179      4330.60 }
   (     6,    49,    26,    -3 ) , { 178      4330.60 }
   (   -91,   248,     0,     0 ) , { 177      4332.59 }
   (   -13,    52,    28,     7 ) , { 176     -4334.58 }
   (   -50,   194,   103,    27 ) , { 175     -4334.58 }
   (     0,    -4,     0,     0 ) , { 174      4391.57 }
   (     4,     0,     0,    -2 ) , { 173     -4431.98 }
   (     0,     3,     2,     1 ) , { 172     -4497.22 }
   (   -53,    -9,    -5,    28 ) , { 171     -4528.49 }
   (    -5,    -3,    -1,     3 ) , { 170     -4655.12 }
   (    11,    -3,    -1,    -6 ) , { 169     -4895.86 }
   (     0,     5,     3,     0 ) , { 168      4943.31 }
   (    35,    -7,     0,     0 ) , { 167      4945.91 }
   (   -18,  -436,  -233,     9 ) , { 166     -4948.51 }
   (   -11,   -21,   -11,     6 ) , { 165      5002.82 }
   (     0,    -3,    -1,     0 ) , { 164      5237.23 }
   (   -21,    -6,    -3,    11 ) , { 163      5240.15 }
   (     0,     4,     0,     0 ) , { 162     -5243.07 }
   (  -133,     0,     0,    57 ) , { 161      5373.47 }
   (    51,   114,    61,   -27 ) , { 160      5376.54 }
   (   -48,  -110,   -59,    26 ) , { 159      5376.54 }
   (     3,    -4,    -2,    -2 ) , { 158     -5382.69 }
   (    -3,     0,     0,     2 ) , { 157     -5413.40 }
   (     0,    23,    13,     0 ) , { 156     -5692.36 }
   (     6,    47,    25,    -3 ) , { 155      5760.48 }
   (    -8,   -47,   -25,     4 ) , { 154      5760.48 }
   (  -449,   430,     0,     0 ) , { 153     -5764.01 }
   (   273,    80,    43,  -146 ) , { 152     -5767.54 }
   (    23,     7,     3,   -13 ) , { 151     -5767.54 }
   (   -40,    57,    30,    21 ) , { 150     -6307.04 }
   (    -4,     0,     0,     2 ) , { 149     -6311.26 }
   (     0,    -6,    -3,     0 ) , { 148      6361.95 }
   (    57,   -28,   -15,   -30 ) , { 147     -6364.52 }
   (  -439,     0,     0,     0 ) , { 146      6366.25 }
   (    -9,    -5,    -3,     5 ) , { 145     -6404.24 }
   (    -3,     0,     0,     0 ) , { 144      6494.41 }
   (     3,     0,    -1,    -2 ) , { 143     -6609.18 }
   (    -9,   -16,     0,     0 ) , { 142     -6653.37 }
   (   -73,    17,     9,    39 ) , { 141     -6658.08 }
   (   -82,   292,   156,    44 ) , { 140     -6728.16 }
   (    -3,     0,     0,     1 ) , { 139     -6732.84 }
   (    -3,     0,     0,     2 ) , { 138      6788.58 }
   (     3,     0,     0,    -1 ) , { 137     -6865.22 }
   (    84,   298,   159,   -45 ) , { 136     -6870.08 }
   (    76,    17,     9,   -41 ) , { 135     -6944.73 }
   (    -3,     5,     2,     1 ) , { 134     -6949.86 }
   (    -5,    -4,    -2,     3 ) , { 133     -6998.74 }
   (    10,    -6,    -3,    -5 ) , { 132     -7244.22 }
   (     0,    14,     7,     0 ) , { 131     -7259.05 }
   (   -68,   -34,   -18,    36 ) , { 130     -7295.73 }
   (    -5,     0,     0,     0 ) , { 129      7360.65 }
   (     0,     3,     2,     0 ) , { 128      7361.22 }
   (   -14,     7,     0,     0 ) , { 127     -7366.99 }
   (    46,    66,    35,   -25 ) , { 126     -7372.76 }
   (    -5,     0,     0,     3 ) , { 125      7480.88 }
   (     3,     0,     0,    -2 ) , { 124     -7819.78 }
   (    10,     0,     0,     0 ) , { 123      8084.76 }
   (     0,    -3,     0,     0 ) , { 122      8197.03 }
   (     8,    -3,    -1,    -5 ) , { 121     -8277.91 }
   (    -5,    -4,    -2,     2 ) , { 120     -8285.20 }
   (     0,    29,    15,     0 ) , { 119     -8437.85 }
   (     4,     3,     1,    -2 ) , { 118     -9135.68 }
   (     3,     0,     0,    -2 ) , { 117      9435.79 }
   (     5,    -6,     0,     0 ) , { 116     -9454.73 }
   (   -24,    12,     0,     0 ) , { 115     10180.74 }
   (    -3,     0,     0,     2 ) , { 114     10624.74 }
   (    10,   -22,   -12,    -5 ) , { 113    -10648.78 }
   (     0,     8,     4,     0 ) , { 112     10734.70 }
   (    47,     8,     4,   -25 ) , { 111     10746.95 }
   (   -66,   -12,    -6,    35 ) , { 110     10746.94 }
   (    11,    56,     0,     0 ) , { 109     10759.23 }
   (   174,    84,    45,   -93 ) , { 108    -10771.54 }
   (    32,    15,    -8,    17 ) , { 107    -10771.53 }
   (     0,     6,     3,     0 ) , { 106    -10857.01 }
   (   -17,    -4,    -2,     9 ) , { 105    -11119.33 }
   (     5,     3,     2,    -2 ) , { 104    -11143.61 }
   (     0,     6,     3,     0 ) , { 103     11930.14 }
   (    20,   -70,   -37,   -11 ) , { 102     11945.28 }
   (   -21,   -78,     0,     0 ) , { 101     11960.46 }
   (    -3,     0,     0,     1 ) , { 100     12565.50 }
   (    15,    -7,    -4,    -8 ) , {  99    -12599.14 }
   (     0,    -8,     0,     0 ) , {  98     12715.06 }
   (     5,     0,     0,    -3 ) , {  97    -12732.26 }
   (   -53,     0,     0,     0 ) , {  96     12732.51 }
   (    -3,     0,     0,     0 ) , {  95    -13015.70 }
   (   -15,    22,     0,     0 ) , {  94    -13286.25 }
   (  -349,   -62,     0,     0 ) , {  93    -13562.89 }
   (    -3,     7,     4,     2 ) , {  92    -13582.46 }
   (     0,     3,     0,     0 ) , {  91     13611.10 }
   (    89,   -16,    -9,   -48 ) , {  90    -13630.81 }
   (     3,     5,     3,    -2 ) , {  89    -13922.14 }
   (     0,     3,     0,     0 ) , {  88    -14158.11 }
   (     0,    -3,     0,     0 ) , {  87     14573.09 }
   (    -3,     0,     0,     0 ) , {  86       -29.20 }
   (    45,   -22,     0,     0 ) , {  85     14765.97 }
   (     0,    19,    10,     0 ) , {  84    -14789.17 }
   (     0,     8,    -4,     0 ) , {  83    -14789.16 }
   (   -14,     8,     3,     6 ) , {  82    -14812.42 }
   (    -7,     0,     0,     3 ) , {  81     15294.40 }
   (     0,    -5,     3,     0 ) , {  80     15319.28 }
   (     0,    -8,    -4,    -1 ) , {  79     15319.27 }
   (     0,    -4,    -2,     1 ) , {  78    -15751.76 }
   (     0,    -3,    -1,     0 ) , {  77    -15778.17 }
   (     0,     3,     1,     0 ) , {  76     17462.20 }
   (    78,   -18,     0,     0 ) , {  75    -17494.65 }
   (    -3,     0,     0,     1 ) , {  74     18150.92 }
   (   -10,   233,     0,     0 ) , {  73     18185.99 }
   (   -42,    20,     0,     0 ) , {  72    -18430.96 }
   (     4,    24,    13,    -2 ) , {  71    -18467.12 }
   (    -5,     0,     0,     2 ) , {  70    -18503.42 }
   (    -3,    -5,     0,     0 ) , {  69    -18801.82 }
   (    -6,     4,     2,     3 ) , {  68    -20462.82 }
   (     0,     3,     2,     0 ) , {  67    -20870.14 }
   (     0,     5,     0,     0 ) , {  66    -22201.18 }
   (     0,     3,     0,     0 ) , {  65     22260.86 }
   (     0,    -8,    -4,     0 ) , {  64    -22313.63 }
   (     3,     0,     0,    -1 ) , {  63     22862.07 }
   (    -3,    -4,    -2,     1 ) , {  62    -24197.48 }
   (    11,    24,    11,    -5 ) , {  61     25707.33 }
   (     0,     3,     0,     0 ) , {  60     25848.52 }
   (   -16,     8,     0,     0 ) , {  59    -26572.51 }
   (    -6,     0,     0,     3 ) , {  58     29904.19 }
   (    -9,   -11,     6,    -5 ) , {  57     29999.44 }
   (   -17,   -19,   -10,     9 ) , {  56     29999.38 }
   (     0,     3,     0,     0 ) , {  55     30688.48 }
   (     0,     4,     2,     0 ) , {  54    -30788.86 }
   (     0,     3,     0,     0 ) , {  53     32558.57 }
   (     4,     0,     0,     0 ) , {  52    -34711.74 }
   (     0,   131,     0,     0 ) , {  51    -34989.31 }
   (    -3,     0,     0,     2 ) , {  50    -35119.86 }
   (     0,    15,     7,     0 ) , {  49     37731.74 }
   (  -460,  -435,  -232,   246 ) , {  48     37883.60 }
   (   266,   -78,     0,     0 ) , {  47     38036.68 }
   (    -6,    -9,     0,     0 ) , {  46    -38896.89 }
   (    13,     0,     0,    -7 ) , {  45    -42727.33 }
   (    15,     0,     0,     0 ) , {  44     52048.38 }
   (     6,     0,     0,    -3 ) , {  43    -74517.08 }
   (    -5,     0,     0,     3 ) , {  42     76428.18 }
   (     5,    -6,     3,     3 ) , {  41     86464.27 }
   (    11,   -12,    -7,    -6 ) , {  40     86463.79 }
   (   235,   334,     0,     0 ) , {  39     87265.40 }
   (  1200,   598,   319,  -641 ) , {  38    -88082.01 }
   (   425,   212,  -133,   269 ) , {  37    -88081.52 }
   (     0,    15,     6,     0 ) , {  36    -88914.06 }
   (   -41,   175,    76,    17 ) , {  35    -88913.04 }
   (     5,     0,     0,    -3 ) , {  34    -88997.81 }
   (     0,    -6,    -3,     0 ) , {  33     98682.30 }
   (     0,    -8,    -2,     0 ) , {  32     99100.94 }
   (   226,   101,     0,     0 ) , {  31     99727.85 }
   (   284,     0,     0,  -151 ) , {  30    100155.42 }
   (     0,    24,     0,     0 ) , {  29   -107127.72 }
   (    -7,     0,     0,     0 ) , {  28    110464.01 }
   (    12,     0,     0,    -6 ) , {  27    145247.83 }
   (     9,   -27,   -14,    -5 ) , {  26    158588.31 }
   (   -26,   -29,   -16,    14 ) , {  25    193201.80 }
   (     0,   -13,    -7,     0 ) , {  24   -199810.80 }
   (   103,   -60,     0,     0 ) , {  23   -209413.55 }
   (    26,    -9,     0,     0 ) , {  22   -237473.71 }
   (    11,   -24,   -11,    -9 ) , {  21    301927.96 }
   ( -1444,  2409, -1286,  -771 ) , {  20    311927.52 }
   ( -3084,  5123,  2735,  1647 ) , {  19    311921.26 }
   (  -491,   128,     0,     0 ) , {  18   -322612.12 }
   (    31,  -481,  -257,   -17 ) , {  17   -334061.84 }
   (    14,  -218,   117,     8 ) , {  16   -334054.65 }
   (   -12,     0,     0,     0 ) , {  15   -346338.73 }
   (     3,     0,     0,     0 ) , {  14   -455742.40 }
   (     0,     6,     2,     0 ) , {  13    562786.50 }
   (    -3,     0,     0,     2 ) , {  12    609254.22 }
   (    99,     0,     0,   -53 ) , {  11    609230.33 }
   (  -462,  1604,     0,     0 ) , {  10   -651391.30 }
   (    -3,     0,     0,     0 ) , {   9   -666209.90 }
   (  -219,    89,     0,     0 ) , {   8   -698321.32 }
   (  -114,     0,     0,    61 ) , {   7   -699821.51 }
   (     3,     0,     0,    -2 ) , {   6   -699789.98 }
   (     3,    -7,    -3,     0 ) , {   5   -739551.32 }
   (     0,     5,     0,     0 ) , {   4   1170120.04 }
   (   125,   -43,     0,   -54 ) , {   3   4137408.11 }
   (    56,  -117,   -42,   -40 ) , {   2   5464350.67 }
   (  1440,     0,     0,     0 ) ) ; {   1  34075700.82 }
 Var
   i        : Byte ;
   narg     : Word ;
   argn     : TFundArg ;
   carg     : Extended ;
   sa,ca    : Extended ;
 Begin
   FundArgLuSo(DateJulian,argn);
   FundArgPlan(DateJulian,argn);
   DPsi:=0.0;
   DEps:=0.0;
   For narg:=1 To 687 Do
     Begin
       carg:=0;
       For i:=1 To 14 Do
         If  NArgPlan[narg,i] <> 0
           Then
             carg:=carg+NArgPlan[narg,i]*argn[i];
       ca:=Cos(carg);
       sa:=Sin(carg);
       DPsi:=DPsi+1.0e-4*(AmplPlan[narg,1]*sa+AmplPlan[narg,2]*ca);
       DEps:=DEps+1.0e-4*(AmplPlan[narg,3]*ca+AmplPlan[narg,4]*sa);
     End;
   DPsi:=1.0e-3*DPsi; { in arcsec }
   DEps:=1.0e-3*DEps; { in arcsec }
 End;

 END.