
 UNIT Un2000_r ;

 INTERFACE

 Uses
   UnConTyp ; { TMatr33 }

 Function ToGetEarthRotAngle ( DateJulUT1  : Extended ) : Extended ;

 Procedure RMatr2000 ( DateJulUT1  : Extended ;
                       Var  RMatr  : TMatr33  ) ;

 IMPLEMENTATION

 Uses
   UnForFun ; { ForRotMatr }

 { to calculate the value of the Earth rotation angle in radian
   the argument is Unversal Time with julian date }

 Function ToGetEarthRotAngle ( DateJulUT1  : Extended ) : Extended ;
 Const
   a  = 0.7790572732640 ;
   b  = 1.00273781191135448 ;
 Var
   t  : Extended ;
 Begin
   t:=DateJulUT1-JD2000;
   ToGetEarthRotAngle:=2*Pi*(a+b*t); { in radian }
 End;

 { R(-theta) matrix with the use linear formulae for theta }

 Procedure RMatr2000 ( DateJulUT1  : Extended ;
                       Var  RMatr  : TMatr33  ) ;
 Var
   theta  : Extended ;
 Begin
   theta:=ToGetEarthRotAngle(DateJulUT1);
   ForRotMatr(3,-theta,RMatr);
 End;

 END.
