
 { to obtain value for s(t)
   coeffitients are in memory }

 UNIT Un2000_S ;

 INTERFACE

 Function ToGetCEOPos ( DateJulian   : Extended ;
                        XCip , YCip  : Extended ) : Extended ; { in arcsec }

 IMPLEMENTATION

 Uses
   UnConTyp , Un2000_C , Un2000_L , Un2000_P , UnXY2000 ;

 { to obtain a value s(t) in arcsec , coefficients are in memory
   DateJulian date in julian day
   XCip , YCip are positions
               of the celestial intermediate pole in radian }

 Function ToGetCEOPos ( DateJulian   : Extended ;
                        XCip , YCip  : Extended ) : Extended ;
 Const
   ma  : Array[1..5] of Byte  = ( 33 , 3 , 25 , 4 , 1 ) ;
   na  : Array[1..66,1..14] of ShortInt =
      { j = 0  Nb of terms = 33 }
 ( (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  0,  3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  0,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  2, -2,  3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  2, -2,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  4, -4,  4,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  1, -1,  1,  0, -8, 12,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  2,  0,  3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  2,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1, -2,  2, -3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1, -2,  2, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  0,  0,  0,  8,-13,  0,  0,  0,  0,  0, -1 ) ,
   (  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  2,  0, -2,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  2, -2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0, -2,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0, -2, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  4, -2,  4,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  4,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0, -2,  0, -3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0, -2,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
      { j = 1  Nb of terms =  3 }
   (  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  3,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
      { j = 2  Nb of terms = 25 }
   (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1,  2, -2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  2,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  1, -2,  2, -2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0, -2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0, -2,  0, -2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0, -2, -2, -2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  0,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  2,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  2,  0,  0, -2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  2,  0, -2,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  2,  0,  2,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  1,  0,  2, -2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
      { j = 3  Nb of terms =  4 }
   (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2, -2,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  2,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
   (  0,  0,  0,  0,  2,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ,
      { j = 4  Nb of terms =  1 }
   (  0,  0,  0,  0,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0 ) ) ;
   aa  : Array[1..66,1..2] of Single =
      { j = 0  Nb of terms = 33 }
 ( (  -2640.73 ,    0.39 ) ,
   (    -63.53 ,    0.02 ) ,
   (    -11.75 ,   -0.01 ) ,
   (    -11.21 ,   -0.01 ) ,
   (      4.57 ,    0.00 ) ,
   (     -2.02 ,    0.00 ) ,
   (     -1.98 ,    0.00 ) ,
   (      1.72 ,    0.00 ) ,
   (      1.41 ,    0.01 ) ,
   (      1.26 ,    0.01 ) ,
   (      0.63 ,    0.00 ) ,
   (      0.63 ,    0.00 ) ,
   (     -0.46 ,    0.00 ) ,
   (     -0.45 ,    0.00 ) ,
   (     -0.36 ,    0.00 ) ,
   (      0.24 ,    0.12 ) ,
   (     -0.32 ,    0.00 ) ,
   (     -0.28 ,    0.00 ) ,
   (     -0.27 ,    0.00 ) ,
   (     -0.26 ,    0.00 ) ,
   (      0.21 ,    0.00 ) ,
   (     -0.19 ,    0.00 ) ,
   (     -0.18 ,    0.00 ) ,
   (      0.10 ,   -0.05 ) ,
   (     -0.15 ,    0.00 ) ,
   (      0.14 ,    0.00 ) ,
   (      0.14 ,    0.00 ) ,
   (     -0.14 ,    0.00 ) ,
   (     -0.14 ,    0.00 ) ,
   (     -0.13 ,    0.00 ) ,
   (      0.11 ,    0.00 ) ,
   (     -0.11 ,    0.00 ) ,
   (     -0.11 ,    0.00 ) ,
      { j = 1  Nb of terms = 3 }
   (     -0.07 ,    3.57 ) ,
   (      1.71 ,   -0.03 ) ,
   (      0.00 ,    0.48 ) ,
      { j = 2  Nb of terms = 25 }
   (    743.53 ,   -0.17 ) ,
   (     56.91 ,    0.06 ) ,
   (      9.84 ,   -0.01 ) ,
   (     -8.85 ,    0.01 ) ,
   (     -6.38 ,   -0.05 ) ,
   (     -3.07 ,    0.00 ) ,
   (      2.23 ,    0.00 ) ,
   (      1.67 ,    0.00 ) ,
   (      1.30 ,    0.00 ) ,
   (      0.93 ,    0.00 ) ,
   (      0.68 ,    0.00 ) ,
   (     -0.55 ,    0.00 ) ,
   (      0.53 ,    0.00 ) ,
   (     -0.27 ,    0.00 ) ,
   (     -0.27 ,    0.00 ) ,
   (     -0.26 ,    0.00 ) ,
   (     -0.25 ,    0.00 ) ,
   (      0.22 ,    0.00 ) ,
   (     -0.21 ,    0.00 ) ,
   (      0.20 ,    0.00 ) ,
   (      0.17 ,    0.00 ) ,
   (      0.13 ,    0.00 ) ,
   (     -0.13 ,    0.00 ) ,
   (     -0.12 ,    0.00 ) ,
   (     -0.11 ,    0.00 ) ,
      { j = 3  Nb of terms = 4 }
   (      0.30 ,  -23.51 ) ,
   (     -0.03 ,   -1.39 ) ,
   (     -0.01 ,   -0.24 ) ,
   (      0.00 ,    0.22 ) ,
      { j = 4  Nb of terms = 1 }
   (     -0.26 ,   -0.01 ) ) ;
 Var
   t,d    : Extended ;
   farg   : TFundArg ;
   sp,sr  : Extended ;
   iq,
   mm,ia  : Byte ;
   ka,kb  : Byte ;
   qq,aq  : Extended ;
   sa,ca  : Extended ;
 Begin
   d:=DateJulian;
   FundArgLuSo(d,farg);
   FundArgPlan(d,farg);
   t:=(d-JD2000)/JulianC; { from the fundamental epoch in century }
   { polynomial part for s(t)+0.5*XY , from microarcsec to arcsec }
   sp:=1.0e-6*(94.0+(3808.35
                   +(-119.94+(-72574.09+(+27.70+15.61*t)*t)*t)*t)*t);
   { periodic part with the coefficients in memory }
   sr:=0.0; { unitial nullo for periodic part }
   qq:=1.0; { t in power 0 }
   ka:=0;
   kb:=0;
   For ia:=1 To 5 Do
     Begin
       ka:=kb+1; { from ka }
       kb:=kb+ma[ia]; { to kb for coefficients }
       For mm:=ka To kb Do
         Begin
           aq:=0.0;
           For iq:=1 To 14 Do
             aq:=aq+na[mm,iq]*farg[iq];
           sa:=Sin(aq);
           ca:=Cos(aq);
           sr:=sr+qq*(aa[mm,1]*sa+aa[mm,2]*ca); { in microarcsec }
         End;
       qq:=qq*t;
     End;
   ToGetCEOPos:=-0.5*RadSec*XCip*YCip+sp+1.0e-6*sr; { in arcsec }
 End;

 END.
